% Figure1.m 

% This file reads in the data for the High Oil Price Regime (HOPR)
% and the Normal Oil Price Regime (NOPR) variables
% Last updated: July 18, 2021

%load the calculated data
load Figure1_data.csv

% the data series are in columns
% Figure 1 data
date=Figure1_data(1:183,1);      % Date
HOPR=Figure1_data(1:183,2);      % HOPR
Zeroline=Figure1_data(1:183,3);  % Zero Line
NOPR=Figure1_data(1:183,4);      % NOPR


% Create data for the dividing lines
line=[-5,40];
date1=[1973.75; 1973.75];
date2=[1975.00; 1975.00];
date3=[1980.00; 1980.00];
date4=[1980.50; 1980.50];
date5=[1981.50; 1981.50];
date6=[1982.75; 1982.75];
date7=[1990.50; 1990.50];
date8=[1991.00; 1991.00];
date9=[2001.00; 2001.00];
date10=[2001.75; 2001.75];
date11=[2007.75; 2007.75];
date12=[2009.25; 2009.25];

figure('PaperOrientation','portrait','PaperUnits','inches','PaperPosition',[0.25 0 8 10.75],'units','normalized','outerposition',[0 0 1 0.5])
subplot(2,1,1), 
ha1=area([1973.75 1975.00], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
hold on
ha2=area([1980.00 1980.50], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
ha3=area([1981.50 1982.75], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
ha4=area([1990.50 1991.00], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
ha5=area([2001.00 2001.75], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
ha6=area([2007.75 2009.25], [40 40], -5, 'FaceColor',[0.8, 0.8, 0.8]); 
sp2=plot(date,HOPR,'b-',date,Zeroline,'k-',date1,line,'k-',date2,line,'k-',date3,line,'k-',date4,line,'k-',date5,line,'k-',date6,line,'k-',date7,line,'k-',date8,line,'k-',date9,line,'k-',date10,line,'k-',date11,line,'k-',date12,line,'k-');... 
title({'Oil Price Changes in the High Oil Price Regime'},'FontSize',12),ylabel('Percent'),axis([1972.25 2018.00 -5 40])
set(sp2(1),'LineWidth',2);
hold off


subplot(2,1,2), 
line=[-80,60];
ha1=area([1973.75 1975.00], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
hold on
ha2=area([1980.00 1980.50], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
ha3=area([1981.50 1982.75], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
ha4=area([1990.50 1991.00], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
ha5=area([2001.00 2001.75], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
ha6=area([2007.75 2009.25], [60 60], -60, 'FaceColor',[0.8, 0.8, 0.8]); 
sp3=plot(date,NOPR,'b-',date,Zeroline,'k-',date1,line,'k-',date2,line,'k-',date3,line,'k-',date4,line,'k-',date5,line,'k-',date6,line,'k-',date7,line,'k-',date8,line,'k-',date9,line,'k-',date10,line,'k-',date11,line,'k-',date12,line,'k-');... 
title({'Oil Price Changes in the Normal Oil Price Regime'},'FontSize',12),ylabel('Percent'),axis([1972.25 2018.00 -60 60])
set(sp3(1),'LineWidth',2);
hold off
%gtext({'Shaded areas represent recessions. An oil price change of zero indicates either the economy is not in that oil price regime or the oil price was unchanged.'},'HorizontalAlignment','left','FontSize',11) 


