function IRF = GetRelBoundedIRF( VariableName, ShockName, alpha, TIRF )

% Function to get relative bounded IRFs
% First used in Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf
% Tom Holden and Michael Paetz, June 7, 2012

    IRF = GetRelIRF( VariableName, ShockName, TIRF );
    TShadow = length( alpha );
    Shadow = zeros( TIRF, TShadow );
    for indx = 0:( TShadow - 1 )
        Shadow( :, indx + 1 ) = GetRelIRF( VariableName, [ 'epsilon_shadow_' int2str( indx ) ] , TIRF );
    end
    IRF = IRF + Shadow * alpha;
end