function IRF = GetRelIRF( VariableName, ShockName, TIRF )

% Function to get relative IRFs
% First used in Tom Holden's paper: http://www.dynare.org/wp-repo/dynarewp004.pdf
% Tom Holden and Michael Paetz, June 7, 2012

    try
		IRF_tmp = evalin( 'base', [ 'oo_.irfs.' VariableName '_' ShockName ] )';
        IRF = IRF_tmp( 1:TIRF );
	catch Exception
		IRF = zeros( TIRF, 1 );
		if strcmp( Exception.identifier, 'MATLAB:nonExistentField' )
			warning( 'JMP:IRFNotFound', [ 'Variable oo_.irfs.' VariableName '_' ShockName ' was not found.\n' ] );
		else
			rethrow( Exception );
		end
	end
end