function [residual, g1, g2, g3] = NKM_ZLB_dynamic(y, x, params, steady_state, it_)
%
% Status : Computes dynamic model for Dynare
%
% Inputs :
%   y         [#dynamic variables by 1] double    vector of endogenous variables in the order stored
%                                                 in M_.lead_lag_incidence; see the Manual
%   x         [M_.exo_nbr by nperiods] double     matrix of exogenous variables (in declaration order)
%                                                 for all simulation periods
%   params    [M_.param_nbr by 1] double          vector of parameter values in declaration order
%   it_       scalar double                       time period for exogenous variables for which to evaluate the model
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the dynamic model equations in order of 
%                                          declaration of the equations
%   g1        [M_.endo_nbr by #dynamic variables] double    Jacobian matrix of the dynamic model equations;
%                                                           rows: equations in order of declaration
%                                                           columns: variables in order stored in M_.lead_lag_incidence
%   g2        [M_.endo_nbr by (#dynamic variables)^2] double   Hessian matrix of the dynamic model equations;
%                                                              rows: equations in order of declaration
%                                                              columns: variables in order stored in M_.lead_lag_incidence
%   g3        [M_.endo_nbr by (#dynamic variables)^3] double   Third order derivative matrix of the dynamic model equations;
%                                                              rows: equations in order of declaration
%                                                              columns: variables in order stored in M_.lead_lag_incidence
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

%
% Model equations
%

residual = zeros(471, 1);
shadow_price__ = y(910)+y(880)+y(851)+y(823)+y(796)+y(770)+y(745)+y(721)+y(698)+y(676)+y(655)+y(635)+y(616)+y(598)+y(581)+y(565)+y(550)+y(536)+y(523)+y(511)+y(500)+y(490)+y(481)+y(473)+y(466)+y(460)+y(455)+y(451)+y(446)+y(448);
T3 = (-1);
T1435 = params(6)^T3;
lhs =y(446);
rhs =x(it_, 4);
residual(1)= lhs-rhs;
lhs =y(447);
rhs =x(it_, 5);
residual(2)= lhs-rhs;
lhs =y(448);
rhs =y(5);
residual(3)= lhs-rhs;
lhs =y(449);
rhs =x(it_, 6);
residual(4)= lhs-rhs;
lhs =y(450);
rhs =y(6);
residual(5)= lhs-rhs;
lhs =y(451);
rhs =y(7);
residual(6)= lhs-rhs;
lhs =y(452);
rhs =x(it_, 7);
residual(7)= lhs-rhs;
lhs =y(453);
rhs =y(8);
residual(8)= lhs-rhs;
lhs =y(454);
rhs =y(9);
residual(9)= lhs-rhs;
lhs =y(455);
rhs =y(10);
residual(10)= lhs-rhs;
lhs =y(456);
rhs =x(it_, 8);
residual(11)= lhs-rhs;
lhs =y(457);
rhs =y(11);
residual(12)= lhs-rhs;
lhs =y(458);
rhs =y(12);
residual(13)= lhs-rhs;
lhs =y(459);
rhs =y(13);
residual(14)= lhs-rhs;
lhs =y(460);
rhs =y(14);
residual(15)= lhs-rhs;
lhs =y(461);
rhs =x(it_, 9);
residual(16)= lhs-rhs;
lhs =y(462);
rhs =y(15);
residual(17)= lhs-rhs;
lhs =y(463);
rhs =y(16);
residual(18)= lhs-rhs;
lhs =y(464);
rhs =y(17);
residual(19)= lhs-rhs;
lhs =y(465);
rhs =y(18);
residual(20)= lhs-rhs;
lhs =y(466);
rhs =y(19);
residual(21)= lhs-rhs;
lhs =y(467);
rhs =x(it_, 10);
residual(22)= lhs-rhs;
lhs =y(468);
rhs =y(20);
residual(23)= lhs-rhs;
lhs =y(469);
rhs =y(21);
residual(24)= lhs-rhs;
lhs =y(470);
rhs =y(22);
residual(25)= lhs-rhs;
lhs =y(471);
rhs =y(23);
residual(26)= lhs-rhs;
lhs =y(472);
rhs =y(24);
residual(27)= lhs-rhs;
lhs =y(473);
rhs =y(25);
residual(28)= lhs-rhs;
lhs =y(474);
rhs =x(it_, 11);
residual(29)= lhs-rhs;
lhs =y(475);
rhs =y(26);
residual(30)= lhs-rhs;
lhs =y(476);
rhs =y(27);
residual(31)= lhs-rhs;
lhs =y(477);
rhs =y(28);
residual(32)= lhs-rhs;
lhs =y(478);
rhs =y(29);
residual(33)= lhs-rhs;
lhs =y(479);
rhs =y(30);
residual(34)= lhs-rhs;
lhs =y(480);
rhs =y(31);
residual(35)= lhs-rhs;
lhs =y(481);
rhs =y(32);
residual(36)= lhs-rhs;
lhs =y(482);
rhs =x(it_, 12);
residual(37)= lhs-rhs;
lhs =y(483);
rhs =y(33);
residual(38)= lhs-rhs;
lhs =y(484);
rhs =y(34);
residual(39)= lhs-rhs;
lhs =y(485);
rhs =y(35);
residual(40)= lhs-rhs;
lhs =y(486);
rhs =y(36);
residual(41)= lhs-rhs;
lhs =y(487);
rhs =y(37);
residual(42)= lhs-rhs;
lhs =y(488);
rhs =y(38);
residual(43)= lhs-rhs;
lhs =y(489);
rhs =y(39);
residual(44)= lhs-rhs;
lhs =y(490);
rhs =y(40);
residual(45)= lhs-rhs;
lhs =y(491);
rhs =x(it_, 13);
residual(46)= lhs-rhs;
lhs =y(492);
rhs =y(41);
residual(47)= lhs-rhs;
lhs =y(493);
rhs =y(42);
residual(48)= lhs-rhs;
lhs =y(494);
rhs =y(43);
residual(49)= lhs-rhs;
lhs =y(495);
rhs =y(44);
residual(50)= lhs-rhs;
lhs =y(496);
rhs =y(45);
residual(51)= lhs-rhs;
lhs =y(497);
rhs =y(46);
residual(52)= lhs-rhs;
lhs =y(498);
rhs =y(47);
residual(53)= lhs-rhs;
lhs =y(499);
rhs =y(48);
residual(54)= lhs-rhs;
lhs =y(500);
rhs =y(49);
residual(55)= lhs-rhs;
lhs =y(501);
rhs =x(it_, 14);
residual(56)= lhs-rhs;
lhs =y(502);
rhs =y(50);
residual(57)= lhs-rhs;
lhs =y(503);
rhs =y(51);
residual(58)= lhs-rhs;
lhs =y(504);
rhs =y(52);
residual(59)= lhs-rhs;
lhs =y(505);
rhs =y(53);
residual(60)= lhs-rhs;
lhs =y(506);
rhs =y(54);
residual(61)= lhs-rhs;
lhs =y(507);
rhs =y(55);
residual(62)= lhs-rhs;
lhs =y(508);
rhs =y(56);
residual(63)= lhs-rhs;
lhs =y(509);
rhs =y(57);
residual(64)= lhs-rhs;
lhs =y(510);
rhs =y(58);
residual(65)= lhs-rhs;
lhs =y(511);
rhs =y(59);
residual(66)= lhs-rhs;
lhs =y(512);
rhs =x(it_, 15);
residual(67)= lhs-rhs;
lhs =y(513);
rhs =y(60);
residual(68)= lhs-rhs;
lhs =y(514);
rhs =y(61);
residual(69)= lhs-rhs;
lhs =y(515);
rhs =y(62);
residual(70)= lhs-rhs;
lhs =y(516);
rhs =y(63);
residual(71)= lhs-rhs;
lhs =y(517);
rhs =y(64);
residual(72)= lhs-rhs;
lhs =y(518);
rhs =y(65);
residual(73)= lhs-rhs;
lhs =y(519);
rhs =y(66);
residual(74)= lhs-rhs;
lhs =y(520);
rhs =y(67);
residual(75)= lhs-rhs;
lhs =y(521);
rhs =y(68);
residual(76)= lhs-rhs;
lhs =y(522);
rhs =y(69);
residual(77)= lhs-rhs;
lhs =y(523);
rhs =y(70);
residual(78)= lhs-rhs;
lhs =y(524);
rhs =x(it_, 16);
residual(79)= lhs-rhs;
lhs =y(525);
rhs =y(71);
residual(80)= lhs-rhs;
lhs =y(526);
rhs =y(72);
residual(81)= lhs-rhs;
lhs =y(527);
rhs =y(73);
residual(82)= lhs-rhs;
lhs =y(528);
rhs =y(74);
residual(83)= lhs-rhs;
lhs =y(529);
rhs =y(75);
residual(84)= lhs-rhs;
lhs =y(530);
rhs =y(76);
residual(85)= lhs-rhs;
lhs =y(531);
rhs =y(77);
residual(86)= lhs-rhs;
lhs =y(532);
rhs =y(78);
residual(87)= lhs-rhs;
lhs =y(533);
rhs =y(79);
residual(88)= lhs-rhs;
lhs =y(534);
rhs =y(80);
residual(89)= lhs-rhs;
lhs =y(535);
rhs =y(81);
residual(90)= lhs-rhs;
lhs =y(536);
rhs =y(82);
residual(91)= lhs-rhs;
lhs =y(537);
rhs =x(it_, 17);
residual(92)= lhs-rhs;
lhs =y(538);
rhs =y(83);
residual(93)= lhs-rhs;
lhs =y(539);
rhs =y(84);
residual(94)= lhs-rhs;
lhs =y(540);
rhs =y(85);
residual(95)= lhs-rhs;
lhs =y(541);
rhs =y(86);
residual(96)= lhs-rhs;
lhs =y(542);
rhs =y(87);
residual(97)= lhs-rhs;
lhs =y(543);
rhs =y(88);
residual(98)= lhs-rhs;
lhs =y(544);
rhs =y(89);
residual(99)= lhs-rhs;
lhs =y(545);
rhs =y(90);
residual(100)= lhs-rhs;
lhs =y(546);
rhs =y(91);
residual(101)= lhs-rhs;
lhs =y(547);
rhs =y(92);
residual(102)= lhs-rhs;
lhs =y(548);
rhs =y(93);
residual(103)= lhs-rhs;
lhs =y(549);
rhs =y(94);
residual(104)= lhs-rhs;
lhs =y(550);
rhs =y(95);
residual(105)= lhs-rhs;
lhs =y(551);
rhs =x(it_, 18);
residual(106)= lhs-rhs;
lhs =y(552);
rhs =y(96);
residual(107)= lhs-rhs;
lhs =y(553);
rhs =y(97);
residual(108)= lhs-rhs;
lhs =y(554);
rhs =y(98);
residual(109)= lhs-rhs;
lhs =y(555);
rhs =y(99);
residual(110)= lhs-rhs;
lhs =y(556);
rhs =y(100);
residual(111)= lhs-rhs;
lhs =y(557);
rhs =y(101);
residual(112)= lhs-rhs;
lhs =y(558);
rhs =y(102);
residual(113)= lhs-rhs;
lhs =y(559);
rhs =y(103);
residual(114)= lhs-rhs;
lhs =y(560);
rhs =y(104);
residual(115)= lhs-rhs;
lhs =y(561);
rhs =y(105);
residual(116)= lhs-rhs;
lhs =y(562);
rhs =y(106);
residual(117)= lhs-rhs;
lhs =y(563);
rhs =y(107);
residual(118)= lhs-rhs;
lhs =y(564);
rhs =y(108);
residual(119)= lhs-rhs;
lhs =y(565);
rhs =y(109);
residual(120)= lhs-rhs;
lhs =y(566);
rhs =x(it_, 19);
residual(121)= lhs-rhs;
lhs =y(567);
rhs =y(110);
residual(122)= lhs-rhs;
lhs =y(568);
rhs =y(111);
residual(123)= lhs-rhs;
lhs =y(569);
rhs =y(112);
residual(124)= lhs-rhs;
lhs =y(570);
rhs =y(113);
residual(125)= lhs-rhs;
lhs =y(571);
rhs =y(114);
residual(126)= lhs-rhs;
lhs =y(572);
rhs =y(115);
residual(127)= lhs-rhs;
lhs =y(573);
rhs =y(116);
residual(128)= lhs-rhs;
lhs =y(574);
rhs =y(117);
residual(129)= lhs-rhs;
lhs =y(575);
rhs =y(118);
residual(130)= lhs-rhs;
lhs =y(576);
rhs =y(119);
residual(131)= lhs-rhs;
lhs =y(577);
rhs =y(120);
residual(132)= lhs-rhs;
lhs =y(578);
rhs =y(121);
residual(133)= lhs-rhs;
lhs =y(579);
rhs =y(122);
residual(134)= lhs-rhs;
lhs =y(580);
rhs =y(123);
residual(135)= lhs-rhs;
lhs =y(581);
rhs =y(124);
residual(136)= lhs-rhs;
lhs =y(582);
rhs =x(it_, 20);
residual(137)= lhs-rhs;
lhs =y(583);
rhs =y(125);
residual(138)= lhs-rhs;
lhs =y(584);
rhs =y(126);
residual(139)= lhs-rhs;
lhs =y(585);
rhs =y(127);
residual(140)= lhs-rhs;
lhs =y(586);
rhs =y(128);
residual(141)= lhs-rhs;
lhs =y(587);
rhs =y(129);
residual(142)= lhs-rhs;
lhs =y(588);
rhs =y(130);
residual(143)= lhs-rhs;
lhs =y(589);
rhs =y(131);
residual(144)= lhs-rhs;
lhs =y(590);
rhs =y(132);
residual(145)= lhs-rhs;
lhs =y(591);
rhs =y(133);
residual(146)= lhs-rhs;
lhs =y(592);
rhs =y(134);
residual(147)= lhs-rhs;
lhs =y(593);
rhs =y(135);
residual(148)= lhs-rhs;
lhs =y(594);
rhs =y(136);
residual(149)= lhs-rhs;
lhs =y(595);
rhs =y(137);
residual(150)= lhs-rhs;
lhs =y(596);
rhs =y(138);
residual(151)= lhs-rhs;
lhs =y(597);
rhs =y(139);
residual(152)= lhs-rhs;
lhs =y(598);
rhs =y(140);
residual(153)= lhs-rhs;
lhs =y(599);
rhs =x(it_, 21);
residual(154)= lhs-rhs;
lhs =y(600);
rhs =y(141);
residual(155)= lhs-rhs;
lhs =y(601);
rhs =y(142);
residual(156)= lhs-rhs;
lhs =y(602);
rhs =y(143);
residual(157)= lhs-rhs;
lhs =y(603);
rhs =y(144);
residual(158)= lhs-rhs;
lhs =y(604);
rhs =y(145);
residual(159)= lhs-rhs;
lhs =y(605);
rhs =y(146);
residual(160)= lhs-rhs;
lhs =y(606);
rhs =y(147);
residual(161)= lhs-rhs;
lhs =y(607);
rhs =y(148);
residual(162)= lhs-rhs;
lhs =y(608);
rhs =y(149);
residual(163)= lhs-rhs;
lhs =y(609);
rhs =y(150);
residual(164)= lhs-rhs;
lhs =y(610);
rhs =y(151);
residual(165)= lhs-rhs;
lhs =y(611);
rhs =y(152);
residual(166)= lhs-rhs;
lhs =y(612);
rhs =y(153);
residual(167)= lhs-rhs;
lhs =y(613);
rhs =y(154);
residual(168)= lhs-rhs;
lhs =y(614);
rhs =y(155);
residual(169)= lhs-rhs;
lhs =y(615);
rhs =y(156);
residual(170)= lhs-rhs;
lhs =y(616);
rhs =y(157);
residual(171)= lhs-rhs;
lhs =y(617);
rhs =x(it_, 22);
residual(172)= lhs-rhs;
lhs =y(618);
rhs =y(158);
residual(173)= lhs-rhs;
lhs =y(619);
rhs =y(159);
residual(174)= lhs-rhs;
lhs =y(620);
rhs =y(160);
residual(175)= lhs-rhs;
lhs =y(621);
rhs =y(161);
residual(176)= lhs-rhs;
lhs =y(622);
rhs =y(162);
residual(177)= lhs-rhs;
lhs =y(623);
rhs =y(163);
residual(178)= lhs-rhs;
lhs =y(624);
rhs =y(164);
residual(179)= lhs-rhs;
lhs =y(625);
rhs =y(165);
residual(180)= lhs-rhs;
lhs =y(626);
rhs =y(166);
residual(181)= lhs-rhs;
lhs =y(627);
rhs =y(167);
residual(182)= lhs-rhs;
lhs =y(628);
rhs =y(168);
residual(183)= lhs-rhs;
lhs =y(629);
rhs =y(169);
residual(184)= lhs-rhs;
lhs =y(630);
rhs =y(170);
residual(185)= lhs-rhs;
lhs =y(631);
rhs =y(171);
residual(186)= lhs-rhs;
lhs =y(632);
rhs =y(172);
residual(187)= lhs-rhs;
lhs =y(633);
rhs =y(173);
residual(188)= lhs-rhs;
lhs =y(634);
rhs =y(174);
residual(189)= lhs-rhs;
lhs =y(635);
rhs =y(175);
residual(190)= lhs-rhs;
lhs =y(636);
rhs =x(it_, 23);
residual(191)= lhs-rhs;
lhs =y(637);
rhs =y(176);
residual(192)= lhs-rhs;
lhs =y(638);
rhs =y(177);
residual(193)= lhs-rhs;
lhs =y(639);
rhs =y(178);
residual(194)= lhs-rhs;
lhs =y(640);
rhs =y(179);
residual(195)= lhs-rhs;
lhs =y(641);
rhs =y(180);
residual(196)= lhs-rhs;
lhs =y(642);
rhs =y(181);
residual(197)= lhs-rhs;
lhs =y(643);
rhs =y(182);
residual(198)= lhs-rhs;
lhs =y(644);
rhs =y(183);
residual(199)= lhs-rhs;
lhs =y(645);
rhs =y(184);
residual(200)= lhs-rhs;
lhs =y(646);
rhs =y(185);
residual(201)= lhs-rhs;
lhs =y(647);
rhs =y(186);
residual(202)= lhs-rhs;
lhs =y(648);
rhs =y(187);
residual(203)= lhs-rhs;
lhs =y(649);
rhs =y(188);
residual(204)= lhs-rhs;
lhs =y(650);
rhs =y(189);
residual(205)= lhs-rhs;
lhs =y(651);
rhs =y(190);
residual(206)= lhs-rhs;
lhs =y(652);
rhs =y(191);
residual(207)= lhs-rhs;
lhs =y(653);
rhs =y(192);
residual(208)= lhs-rhs;
lhs =y(654);
rhs =y(193);
residual(209)= lhs-rhs;
lhs =y(655);
rhs =y(194);
residual(210)= lhs-rhs;
lhs =y(656);
rhs =x(it_, 24);
residual(211)= lhs-rhs;
lhs =y(657);
rhs =y(195);
residual(212)= lhs-rhs;
lhs =y(658);
rhs =y(196);
residual(213)= lhs-rhs;
lhs =y(659);
rhs =y(197);
residual(214)= lhs-rhs;
lhs =y(660);
rhs =y(198);
residual(215)= lhs-rhs;
lhs =y(661);
rhs =y(199);
residual(216)= lhs-rhs;
lhs =y(662);
rhs =y(200);
residual(217)= lhs-rhs;
lhs =y(663);
rhs =y(201);
residual(218)= lhs-rhs;
lhs =y(664);
rhs =y(202);
residual(219)= lhs-rhs;
lhs =y(665);
rhs =y(203);
residual(220)= lhs-rhs;
lhs =y(666);
rhs =y(204);
residual(221)= lhs-rhs;
lhs =y(667);
rhs =y(205);
residual(222)= lhs-rhs;
lhs =y(668);
rhs =y(206);
residual(223)= lhs-rhs;
lhs =y(669);
rhs =y(207);
residual(224)= lhs-rhs;
lhs =y(670);
rhs =y(208);
residual(225)= lhs-rhs;
lhs =y(671);
rhs =y(209);
residual(226)= lhs-rhs;
lhs =y(672);
rhs =y(210);
residual(227)= lhs-rhs;
lhs =y(673);
rhs =y(211);
residual(228)= lhs-rhs;
lhs =y(674);
rhs =y(212);
residual(229)= lhs-rhs;
lhs =y(675);
rhs =y(213);
residual(230)= lhs-rhs;
lhs =y(676);
rhs =y(214);
residual(231)= lhs-rhs;
lhs =y(677);
rhs =x(it_, 25);
residual(232)= lhs-rhs;
lhs =y(678);
rhs =y(215);
residual(233)= lhs-rhs;
lhs =y(679);
rhs =y(216);
residual(234)= lhs-rhs;
lhs =y(680);
rhs =y(217);
residual(235)= lhs-rhs;
lhs =y(681);
rhs =y(218);
residual(236)= lhs-rhs;
lhs =y(682);
rhs =y(219);
residual(237)= lhs-rhs;
lhs =y(683);
rhs =y(220);
residual(238)= lhs-rhs;
lhs =y(684);
rhs =y(221);
residual(239)= lhs-rhs;
lhs =y(685);
rhs =y(222);
residual(240)= lhs-rhs;
lhs =y(686);
rhs =y(223);
residual(241)= lhs-rhs;
lhs =y(687);
rhs =y(224);
residual(242)= lhs-rhs;
lhs =y(688);
rhs =y(225);
residual(243)= lhs-rhs;
lhs =y(689);
rhs =y(226);
residual(244)= lhs-rhs;
lhs =y(690);
rhs =y(227);
residual(245)= lhs-rhs;
lhs =y(691);
rhs =y(228);
residual(246)= lhs-rhs;
lhs =y(692);
rhs =y(229);
residual(247)= lhs-rhs;
lhs =y(693);
rhs =y(230);
residual(248)= lhs-rhs;
lhs =y(694);
rhs =y(231);
residual(249)= lhs-rhs;
lhs =y(695);
rhs =y(232);
residual(250)= lhs-rhs;
lhs =y(696);
rhs =y(233);
residual(251)= lhs-rhs;
lhs =y(697);
rhs =y(234);
residual(252)= lhs-rhs;
lhs =y(698);
rhs =y(235);
residual(253)= lhs-rhs;
lhs =y(699);
rhs =x(it_, 26);
residual(254)= lhs-rhs;
lhs =y(700);
rhs =y(236);
residual(255)= lhs-rhs;
lhs =y(701);
rhs =y(237);
residual(256)= lhs-rhs;
lhs =y(702);
rhs =y(238);
residual(257)= lhs-rhs;
lhs =y(703);
rhs =y(239);
residual(258)= lhs-rhs;
lhs =y(704);
rhs =y(240);
residual(259)= lhs-rhs;
lhs =y(705);
rhs =y(241);
residual(260)= lhs-rhs;
lhs =y(706);
rhs =y(242);
residual(261)= lhs-rhs;
lhs =y(707);
rhs =y(243);
residual(262)= lhs-rhs;
lhs =y(708);
rhs =y(244);
residual(263)= lhs-rhs;
lhs =y(709);
rhs =y(245);
residual(264)= lhs-rhs;
lhs =y(710);
rhs =y(246);
residual(265)= lhs-rhs;
lhs =y(711);
rhs =y(247);
residual(266)= lhs-rhs;
lhs =y(712);
rhs =y(248);
residual(267)= lhs-rhs;
lhs =y(713);
rhs =y(249);
residual(268)= lhs-rhs;
lhs =y(714);
rhs =y(250);
residual(269)= lhs-rhs;
lhs =y(715);
rhs =y(251);
residual(270)= lhs-rhs;
lhs =y(716);
rhs =y(252);
residual(271)= lhs-rhs;
lhs =y(717);
rhs =y(253);
residual(272)= lhs-rhs;
lhs =y(718);
rhs =y(254);
residual(273)= lhs-rhs;
lhs =y(719);
rhs =y(255);
residual(274)= lhs-rhs;
lhs =y(720);
rhs =y(256);
residual(275)= lhs-rhs;
lhs =y(721);
rhs =y(257);
residual(276)= lhs-rhs;
lhs =y(722);
rhs =x(it_, 27);
residual(277)= lhs-rhs;
lhs =y(723);
rhs =y(258);
residual(278)= lhs-rhs;
lhs =y(724);
rhs =y(259);
residual(279)= lhs-rhs;
lhs =y(725);
rhs =y(260);
residual(280)= lhs-rhs;
lhs =y(726);
rhs =y(261);
residual(281)= lhs-rhs;
lhs =y(727);
rhs =y(262);
residual(282)= lhs-rhs;
lhs =y(728);
rhs =y(263);
residual(283)= lhs-rhs;
lhs =y(729);
rhs =y(264);
residual(284)= lhs-rhs;
lhs =y(730);
rhs =y(265);
residual(285)= lhs-rhs;
lhs =y(731);
rhs =y(266);
residual(286)= lhs-rhs;
lhs =y(732);
rhs =y(267);
residual(287)= lhs-rhs;
lhs =y(733);
rhs =y(268);
residual(288)= lhs-rhs;
lhs =y(734);
rhs =y(269);
residual(289)= lhs-rhs;
lhs =y(735);
rhs =y(270);
residual(290)= lhs-rhs;
lhs =y(736);
rhs =y(271);
residual(291)= lhs-rhs;
lhs =y(737);
rhs =y(272);
residual(292)= lhs-rhs;
lhs =y(738);
rhs =y(273);
residual(293)= lhs-rhs;
lhs =y(739);
rhs =y(274);
residual(294)= lhs-rhs;
lhs =y(740);
rhs =y(275);
residual(295)= lhs-rhs;
lhs =y(741);
rhs =y(276);
residual(296)= lhs-rhs;
lhs =y(742);
rhs =y(277);
residual(297)= lhs-rhs;
lhs =y(743);
rhs =y(278);
residual(298)= lhs-rhs;
lhs =y(744);
rhs =y(279);
residual(299)= lhs-rhs;
lhs =y(745);
rhs =y(280);
residual(300)= lhs-rhs;
lhs =y(746);
rhs =x(it_, 28);
residual(301)= lhs-rhs;
lhs =y(747);
rhs =y(281);
residual(302)= lhs-rhs;
lhs =y(748);
rhs =y(282);
residual(303)= lhs-rhs;
lhs =y(749);
rhs =y(283);
residual(304)= lhs-rhs;
lhs =y(750);
rhs =y(284);
residual(305)= lhs-rhs;
lhs =y(751);
rhs =y(285);
residual(306)= lhs-rhs;
lhs =y(752);
rhs =y(286);
residual(307)= lhs-rhs;
lhs =y(753);
rhs =y(287);
residual(308)= lhs-rhs;
lhs =y(754);
rhs =y(288);
residual(309)= lhs-rhs;
lhs =y(755);
rhs =y(289);
residual(310)= lhs-rhs;
lhs =y(756);
rhs =y(290);
residual(311)= lhs-rhs;
lhs =y(757);
rhs =y(291);
residual(312)= lhs-rhs;
lhs =y(758);
rhs =y(292);
residual(313)= lhs-rhs;
lhs =y(759);
rhs =y(293);
residual(314)= lhs-rhs;
lhs =y(760);
rhs =y(294);
residual(315)= lhs-rhs;
lhs =y(761);
rhs =y(295);
residual(316)= lhs-rhs;
lhs =y(762);
rhs =y(296);
residual(317)= lhs-rhs;
lhs =y(763);
rhs =y(297);
residual(318)= lhs-rhs;
lhs =y(764);
rhs =y(298);
residual(319)= lhs-rhs;
lhs =y(765);
rhs =y(299);
residual(320)= lhs-rhs;
lhs =y(766);
rhs =y(300);
residual(321)= lhs-rhs;
lhs =y(767);
rhs =y(301);
residual(322)= lhs-rhs;
lhs =y(768);
rhs =y(302);
residual(323)= lhs-rhs;
lhs =y(769);
rhs =y(303);
residual(324)= lhs-rhs;
lhs =y(770);
rhs =y(304);
residual(325)= lhs-rhs;
lhs =y(771);
rhs =x(it_, 29);
residual(326)= lhs-rhs;
lhs =y(772);
rhs =y(305);
residual(327)= lhs-rhs;
lhs =y(773);
rhs =y(306);
residual(328)= lhs-rhs;
lhs =y(774);
rhs =y(307);
residual(329)= lhs-rhs;
lhs =y(775);
rhs =y(308);
residual(330)= lhs-rhs;
lhs =y(776);
rhs =y(309);
residual(331)= lhs-rhs;
lhs =y(777);
rhs =y(310);
residual(332)= lhs-rhs;
lhs =y(778);
rhs =y(311);
residual(333)= lhs-rhs;
lhs =y(779);
rhs =y(312);
residual(334)= lhs-rhs;
lhs =y(780);
rhs =y(313);
residual(335)= lhs-rhs;
lhs =y(781);
rhs =y(314);
residual(336)= lhs-rhs;
lhs =y(782);
rhs =y(315);
residual(337)= lhs-rhs;
lhs =y(783);
rhs =y(316);
residual(338)= lhs-rhs;
lhs =y(784);
rhs =y(317);
residual(339)= lhs-rhs;
lhs =y(785);
rhs =y(318);
residual(340)= lhs-rhs;
lhs =y(786);
rhs =y(319);
residual(341)= lhs-rhs;
lhs =y(787);
rhs =y(320);
residual(342)= lhs-rhs;
lhs =y(788);
rhs =y(321);
residual(343)= lhs-rhs;
lhs =y(789);
rhs =y(322);
residual(344)= lhs-rhs;
lhs =y(790);
rhs =y(323);
residual(345)= lhs-rhs;
lhs =y(791);
rhs =y(324);
residual(346)= lhs-rhs;
lhs =y(792);
rhs =y(325);
residual(347)= lhs-rhs;
lhs =y(793);
rhs =y(326);
residual(348)= lhs-rhs;
lhs =y(794);
rhs =y(327);
residual(349)= lhs-rhs;
lhs =y(795);
rhs =y(328);
residual(350)= lhs-rhs;
lhs =y(796);
rhs =y(329);
residual(351)= lhs-rhs;
lhs =y(797);
rhs =x(it_, 30);
residual(352)= lhs-rhs;
lhs =y(798);
rhs =y(330);
residual(353)= lhs-rhs;
lhs =y(799);
rhs =y(331);
residual(354)= lhs-rhs;
lhs =y(800);
rhs =y(332);
residual(355)= lhs-rhs;
lhs =y(801);
rhs =y(333);
residual(356)= lhs-rhs;
lhs =y(802);
rhs =y(334);
residual(357)= lhs-rhs;
lhs =y(803);
rhs =y(335);
residual(358)= lhs-rhs;
lhs =y(804);
rhs =y(336);
residual(359)= lhs-rhs;
lhs =y(805);
rhs =y(337);
residual(360)= lhs-rhs;
lhs =y(806);
rhs =y(338);
residual(361)= lhs-rhs;
lhs =y(807);
rhs =y(339);
residual(362)= lhs-rhs;
lhs =y(808);
rhs =y(340);
residual(363)= lhs-rhs;
lhs =y(809);
rhs =y(341);
residual(364)= lhs-rhs;
lhs =y(810);
rhs =y(342);
residual(365)= lhs-rhs;
lhs =y(811);
rhs =y(343);
residual(366)= lhs-rhs;
lhs =y(812);
rhs =y(344);
residual(367)= lhs-rhs;
lhs =y(813);
rhs =y(345);
residual(368)= lhs-rhs;
lhs =y(814);
rhs =y(346);
residual(369)= lhs-rhs;
lhs =y(815);
rhs =y(347);
residual(370)= lhs-rhs;
lhs =y(816);
rhs =y(348);
residual(371)= lhs-rhs;
lhs =y(817);
rhs =y(349);
residual(372)= lhs-rhs;
lhs =y(818);
rhs =y(350);
residual(373)= lhs-rhs;
lhs =y(819);
rhs =y(351);
residual(374)= lhs-rhs;
lhs =y(820);
rhs =y(352);
residual(375)= lhs-rhs;
lhs =y(821);
rhs =y(353);
residual(376)= lhs-rhs;
lhs =y(822);
rhs =y(354);
residual(377)= lhs-rhs;
lhs =y(823);
rhs =y(355);
residual(378)= lhs-rhs;
lhs =y(824);
rhs =x(it_, 31);
residual(379)= lhs-rhs;
lhs =y(825);
rhs =y(356);
residual(380)= lhs-rhs;
lhs =y(826);
rhs =y(357);
residual(381)= lhs-rhs;
lhs =y(827);
rhs =y(358);
residual(382)= lhs-rhs;
lhs =y(828);
rhs =y(359);
residual(383)= lhs-rhs;
lhs =y(829);
rhs =y(360);
residual(384)= lhs-rhs;
lhs =y(830);
rhs =y(361);
residual(385)= lhs-rhs;
lhs =y(831);
rhs =y(362);
residual(386)= lhs-rhs;
lhs =y(832);
rhs =y(363);
residual(387)= lhs-rhs;
lhs =y(833);
rhs =y(364);
residual(388)= lhs-rhs;
lhs =y(834);
rhs =y(365);
residual(389)= lhs-rhs;
lhs =y(835);
rhs =y(366);
residual(390)= lhs-rhs;
lhs =y(836);
rhs =y(367);
residual(391)= lhs-rhs;
lhs =y(837);
rhs =y(368);
residual(392)= lhs-rhs;
lhs =y(838);
rhs =y(369);
residual(393)= lhs-rhs;
lhs =y(839);
rhs =y(370);
residual(394)= lhs-rhs;
lhs =y(840);
rhs =y(371);
residual(395)= lhs-rhs;
lhs =y(841);
rhs =y(372);
residual(396)= lhs-rhs;
lhs =y(842);
rhs =y(373);
residual(397)= lhs-rhs;
lhs =y(843);
rhs =y(374);
residual(398)= lhs-rhs;
lhs =y(844);
rhs =y(375);
residual(399)= lhs-rhs;
lhs =y(845);
rhs =y(376);
residual(400)= lhs-rhs;
lhs =y(846);
rhs =y(377);
residual(401)= lhs-rhs;
lhs =y(847);
rhs =y(378);
residual(402)= lhs-rhs;
lhs =y(848);
rhs =y(379);
residual(403)= lhs-rhs;
lhs =y(849);
rhs =y(380);
residual(404)= lhs-rhs;
lhs =y(850);
rhs =y(381);
residual(405)= lhs-rhs;
lhs =y(851);
rhs =y(382);
residual(406)= lhs-rhs;
lhs =y(852);
rhs =x(it_, 32);
residual(407)= lhs-rhs;
lhs =y(853);
rhs =y(383);
residual(408)= lhs-rhs;
lhs =y(854);
rhs =y(384);
residual(409)= lhs-rhs;
lhs =y(855);
rhs =y(385);
residual(410)= lhs-rhs;
lhs =y(856);
rhs =y(386);
residual(411)= lhs-rhs;
lhs =y(857);
rhs =y(387);
residual(412)= lhs-rhs;
lhs =y(858);
rhs =y(388);
residual(413)= lhs-rhs;
lhs =y(859);
rhs =y(389);
residual(414)= lhs-rhs;
lhs =y(860);
rhs =y(390);
residual(415)= lhs-rhs;
lhs =y(861);
rhs =y(391);
residual(416)= lhs-rhs;
lhs =y(862);
rhs =y(392);
residual(417)= lhs-rhs;
lhs =y(863);
rhs =y(393);
residual(418)= lhs-rhs;
lhs =y(864);
rhs =y(394);
residual(419)= lhs-rhs;
lhs =y(865);
rhs =y(395);
residual(420)= lhs-rhs;
lhs =y(866);
rhs =y(396);
residual(421)= lhs-rhs;
lhs =y(867);
rhs =y(397);
residual(422)= lhs-rhs;
lhs =y(868);
rhs =y(398);
residual(423)= lhs-rhs;
lhs =y(869);
rhs =y(399);
residual(424)= lhs-rhs;
lhs =y(870);
rhs =y(400);
residual(425)= lhs-rhs;
lhs =y(871);
rhs =y(401);
residual(426)= lhs-rhs;
lhs =y(872);
rhs =y(402);
residual(427)= lhs-rhs;
lhs =y(873);
rhs =y(403);
residual(428)= lhs-rhs;
lhs =y(874);
rhs =y(404);
residual(429)= lhs-rhs;
lhs =y(875);
rhs =y(405);
residual(430)= lhs-rhs;
lhs =y(876);
rhs =y(406);
residual(431)= lhs-rhs;
lhs =y(877);
rhs =y(407);
residual(432)= lhs-rhs;
lhs =y(878);
rhs =y(408);
residual(433)= lhs-rhs;
lhs =y(879);
rhs =y(409);
residual(434)= lhs-rhs;
lhs =y(880);
rhs =y(410);
residual(435)= lhs-rhs;
lhs =y(881);
rhs =x(it_, 33);
residual(436)= lhs-rhs;
lhs =y(882);
rhs =y(411);
residual(437)= lhs-rhs;
lhs =y(883);
rhs =y(412);
residual(438)= lhs-rhs;
lhs =y(884);
rhs =y(413);
residual(439)= lhs-rhs;
lhs =y(885);
rhs =y(414);
residual(440)= lhs-rhs;
lhs =y(886);
rhs =y(415);
residual(441)= lhs-rhs;
lhs =y(887);
rhs =y(416);
residual(442)= lhs-rhs;
lhs =y(888);
rhs =y(417);
residual(443)= lhs-rhs;
lhs =y(889);
rhs =y(418);
residual(444)= lhs-rhs;
lhs =y(890);
rhs =y(419);
residual(445)= lhs-rhs;
lhs =y(891);
rhs =y(420);
residual(446)= lhs-rhs;
lhs =y(892);
rhs =y(421);
residual(447)= lhs-rhs;
lhs =y(893);
rhs =y(422);
residual(448)= lhs-rhs;
lhs =y(894);
rhs =y(423);
residual(449)= lhs-rhs;
lhs =y(895);
rhs =y(424);
residual(450)= lhs-rhs;
lhs =y(896);
rhs =y(425);
residual(451)= lhs-rhs;
lhs =y(897);
rhs =y(426);
residual(452)= lhs-rhs;
lhs =y(898);
rhs =y(427);
residual(453)= lhs-rhs;
lhs =y(899);
rhs =y(428);
residual(454)= lhs-rhs;
lhs =y(900);
rhs =y(429);
residual(455)= lhs-rhs;
lhs =y(901);
rhs =y(430);
residual(456)= lhs-rhs;
lhs =y(902);
rhs =y(431);
residual(457)= lhs-rhs;
lhs =y(903);
rhs =y(432);
residual(458)= lhs-rhs;
lhs =y(904);
rhs =y(433);
residual(459)= lhs-rhs;
lhs =y(905);
rhs =y(434);
residual(460)= lhs-rhs;
lhs =y(906);
rhs =y(435);
residual(461)= lhs-rhs;
lhs =y(907);
rhs =y(436);
residual(462)= lhs-rhs;
lhs =y(908);
rhs =y(437);
residual(463)= lhs-rhs;
lhs =y(909);
rhs =y(438);
residual(464)= lhs-rhs;
lhs =y(910);
rhs =y(439);
residual(465)= lhs-rhs;
lhs =y(441);
rhs =y(912)-T1435*(y(442)-log(params(14))-y(911)-(1-params(15))*y(444));
residual(466)= lhs-rhs;
lhs =y(442);
rhs =log(params(14))+params(11)*(y(1)-log(params(14)))+(1-params(11))*(params(10)*y(440)+y(441)*params(12))+y(445)+shadow_price__;
residual(467)= lhs-rhs;
lhs =y(440);
rhs =y(911)*params(2)+y(441)*params(3)+y(443);
residual(468)= lhs-rhs;
lhs =y(443);
rhs =params(13)*y(2)-0.1*x(it_, 1);
residual(469)= lhs-rhs;
lhs =y(444);
rhs =params(15)*y(3)-0.1*x(it_, 2);
residual(470)= lhs-rhs;
lhs =y(445);
rhs =params(16)*y(4)-0.1*x(it_, 3);
residual(471)= lhs-rhs;
if nargout >= 2,
  g1 = zeros(471, 945);

  %
  % Jacobian matrix
  %

  g1(1,916)=T3;
  g1(1,446)=1;
  g1(2,917)=T3;
  g1(2,447)=1;
  g1(3,5)=T3;
  g1(3,448)=1;
  g1(4,918)=T3;
  g1(4,449)=1;
  g1(5,6)=T3;
  g1(5,450)=1;
  g1(6,7)=T3;
  g1(6,451)=1;
  g1(7,919)=T3;
  g1(7,452)=1;
  g1(8,8)=T3;
  g1(8,453)=1;
  g1(9,9)=T3;
  g1(9,454)=1;
  g1(10,10)=T3;
  g1(10,455)=1;
  g1(11,920)=T3;
  g1(11,456)=1;
  g1(12,11)=T3;
  g1(12,457)=1;
  g1(13,12)=T3;
  g1(13,458)=1;
  g1(14,13)=T3;
  g1(14,459)=1;
  g1(15,14)=T3;
  g1(15,460)=1;
  g1(16,921)=T3;
  g1(16,461)=1;
  g1(17,15)=T3;
  g1(17,462)=1;
  g1(18,16)=T3;
  g1(18,463)=1;
  g1(19,17)=T3;
  g1(19,464)=1;
  g1(20,18)=T3;
  g1(20,465)=1;
  g1(21,19)=T3;
  g1(21,466)=1;
  g1(22,922)=T3;
  g1(22,467)=1;
  g1(23,20)=T3;
  g1(23,468)=1;
  g1(24,21)=T3;
  g1(24,469)=1;
  g1(25,22)=T3;
  g1(25,470)=1;
  g1(26,23)=T3;
  g1(26,471)=1;
  g1(27,24)=T3;
  g1(27,472)=1;
  g1(28,25)=T3;
  g1(28,473)=1;
  g1(29,923)=T3;
  g1(29,474)=1;
  g1(30,26)=T3;
  g1(30,475)=1;
  g1(31,27)=T3;
  g1(31,476)=1;
  g1(32,28)=T3;
  g1(32,477)=1;
  g1(33,29)=T3;
  g1(33,478)=1;
  g1(34,30)=T3;
  g1(34,479)=1;
  g1(35,31)=T3;
  g1(35,480)=1;
  g1(36,32)=T3;
  g1(36,481)=1;
  g1(37,924)=T3;
  g1(37,482)=1;
  g1(38,33)=T3;
  g1(38,483)=1;
  g1(39,34)=T3;
  g1(39,484)=1;
  g1(40,35)=T3;
  g1(40,485)=1;
  g1(41,36)=T3;
  g1(41,486)=1;
  g1(42,37)=T3;
  g1(42,487)=1;
  g1(43,38)=T3;
  g1(43,488)=1;
  g1(44,39)=T3;
  g1(44,489)=1;
  g1(45,40)=T3;
  g1(45,490)=1;
  g1(46,925)=T3;
  g1(46,491)=1;
  g1(47,41)=T3;
  g1(47,492)=1;
  g1(48,42)=T3;
  g1(48,493)=1;
  g1(49,43)=T3;
  g1(49,494)=1;
  g1(50,44)=T3;
  g1(50,495)=1;
  g1(51,45)=T3;
  g1(51,496)=1;
  g1(52,46)=T3;
  g1(52,497)=1;
  g1(53,47)=T3;
  g1(53,498)=1;
  g1(54,48)=T3;
  g1(54,499)=1;
  g1(55,49)=T3;
  g1(55,500)=1;
  g1(56,926)=T3;
  g1(56,501)=1;
  g1(57,50)=T3;
  g1(57,502)=1;
  g1(58,51)=T3;
  g1(58,503)=1;
  g1(59,52)=T3;
  g1(59,504)=1;
  g1(60,53)=T3;
  g1(60,505)=1;
  g1(61,54)=T3;
  g1(61,506)=1;
  g1(62,55)=T3;
  g1(62,507)=1;
  g1(63,56)=T3;
  g1(63,508)=1;
  g1(64,57)=T3;
  g1(64,509)=1;
  g1(65,58)=T3;
  g1(65,510)=1;
  g1(66,59)=T3;
  g1(66,511)=1;
  g1(67,927)=T3;
  g1(67,512)=1;
  g1(68,60)=T3;
  g1(68,513)=1;
  g1(69,61)=T3;
  g1(69,514)=1;
  g1(70,62)=T3;
  g1(70,515)=1;
  g1(71,63)=T3;
  g1(71,516)=1;
  g1(72,64)=T3;
  g1(72,517)=1;
  g1(73,65)=T3;
  g1(73,518)=1;
  g1(74,66)=T3;
  g1(74,519)=1;
  g1(75,67)=T3;
  g1(75,520)=1;
  g1(76,68)=T3;
  g1(76,521)=1;
  g1(77,69)=T3;
  g1(77,522)=1;
  g1(78,70)=T3;
  g1(78,523)=1;
  g1(79,928)=T3;
  g1(79,524)=1;
  g1(80,71)=T3;
  g1(80,525)=1;
  g1(81,72)=T3;
  g1(81,526)=1;
  g1(82,73)=T3;
  g1(82,527)=1;
  g1(83,74)=T3;
  g1(83,528)=1;
  g1(84,75)=T3;
  g1(84,529)=1;
  g1(85,76)=T3;
  g1(85,530)=1;
  g1(86,77)=T3;
  g1(86,531)=1;
  g1(87,78)=T3;
  g1(87,532)=1;
  g1(88,79)=T3;
  g1(88,533)=1;
  g1(89,80)=T3;
  g1(89,534)=1;
  g1(90,81)=T3;
  g1(90,535)=1;
  g1(91,82)=T3;
  g1(91,536)=1;
  g1(92,929)=T3;
  g1(92,537)=1;
  g1(93,83)=T3;
  g1(93,538)=1;
  g1(94,84)=T3;
  g1(94,539)=1;
  g1(95,85)=T3;
  g1(95,540)=1;
  g1(96,86)=T3;
  g1(96,541)=1;
  g1(97,87)=T3;
  g1(97,542)=1;
  g1(98,88)=T3;
  g1(98,543)=1;
  g1(99,89)=T3;
  g1(99,544)=1;
  g1(100,90)=T3;
  g1(100,545)=1;
  g1(101,91)=T3;
  g1(101,546)=1;
  g1(102,92)=T3;
  g1(102,547)=1;
  g1(103,93)=T3;
  g1(103,548)=1;
  g1(104,94)=T3;
  g1(104,549)=1;
  g1(105,95)=T3;
  g1(105,550)=1;
  g1(106,930)=T3;
  g1(106,551)=1;
  g1(107,96)=T3;
  g1(107,552)=1;
  g1(108,97)=T3;
  g1(108,553)=1;
  g1(109,98)=T3;
  g1(109,554)=1;
  g1(110,99)=T3;
  g1(110,555)=1;
  g1(111,100)=T3;
  g1(111,556)=1;
  g1(112,101)=T3;
  g1(112,557)=1;
  g1(113,102)=T3;
  g1(113,558)=1;
  g1(114,103)=T3;
  g1(114,559)=1;
  g1(115,104)=T3;
  g1(115,560)=1;
  g1(116,105)=T3;
  g1(116,561)=1;
  g1(117,106)=T3;
  g1(117,562)=1;
  g1(118,107)=T3;
  g1(118,563)=1;
  g1(119,108)=T3;
  g1(119,564)=1;
  g1(120,109)=T3;
  g1(120,565)=1;
  g1(121,931)=T3;
  g1(121,566)=1;
  g1(122,110)=T3;
  g1(122,567)=1;
  g1(123,111)=T3;
  g1(123,568)=1;
  g1(124,112)=T3;
  g1(124,569)=1;
  g1(125,113)=T3;
  g1(125,570)=1;
  g1(126,114)=T3;
  g1(126,571)=1;
  g1(127,115)=T3;
  g1(127,572)=1;
  g1(128,116)=T3;
  g1(128,573)=1;
  g1(129,117)=T3;
  g1(129,574)=1;
  g1(130,118)=T3;
  g1(130,575)=1;
  g1(131,119)=T3;
  g1(131,576)=1;
  g1(132,120)=T3;
  g1(132,577)=1;
  g1(133,121)=T3;
  g1(133,578)=1;
  g1(134,122)=T3;
  g1(134,579)=1;
  g1(135,123)=T3;
  g1(135,580)=1;
  g1(136,124)=T3;
  g1(136,581)=1;
  g1(137,932)=T3;
  g1(137,582)=1;
  g1(138,125)=T3;
  g1(138,583)=1;
  g1(139,126)=T3;
  g1(139,584)=1;
  g1(140,127)=T3;
  g1(140,585)=1;
  g1(141,128)=T3;
  g1(141,586)=1;
  g1(142,129)=T3;
  g1(142,587)=1;
  g1(143,130)=T3;
  g1(143,588)=1;
  g1(144,131)=T3;
  g1(144,589)=1;
  g1(145,132)=T3;
  g1(145,590)=1;
  g1(146,133)=T3;
  g1(146,591)=1;
  g1(147,134)=T3;
  g1(147,592)=1;
  g1(148,135)=T3;
  g1(148,593)=1;
  g1(149,136)=T3;
  g1(149,594)=1;
  g1(150,137)=T3;
  g1(150,595)=1;
  g1(151,138)=T3;
  g1(151,596)=1;
  g1(152,139)=T3;
  g1(152,597)=1;
  g1(153,140)=T3;
  g1(153,598)=1;
  g1(154,933)=T3;
  g1(154,599)=1;
  g1(155,141)=T3;
  g1(155,600)=1;
  g1(156,142)=T3;
  g1(156,601)=1;
  g1(157,143)=T3;
  g1(157,602)=1;
  g1(158,144)=T3;
  g1(158,603)=1;
  g1(159,145)=T3;
  g1(159,604)=1;
  g1(160,146)=T3;
  g1(160,605)=1;
  g1(161,147)=T3;
  g1(161,606)=1;
  g1(162,148)=T3;
  g1(162,607)=1;
  g1(163,149)=T3;
  g1(163,608)=1;
  g1(164,150)=T3;
  g1(164,609)=1;
  g1(165,151)=T3;
  g1(165,610)=1;
  g1(166,152)=T3;
  g1(166,611)=1;
  g1(167,153)=T3;
  g1(167,612)=1;
  g1(168,154)=T3;
  g1(168,613)=1;
  g1(169,155)=T3;
  g1(169,614)=1;
  g1(170,156)=T3;
  g1(170,615)=1;
  g1(171,157)=T3;
  g1(171,616)=1;
  g1(172,934)=T3;
  g1(172,617)=1;
  g1(173,158)=T3;
  g1(173,618)=1;
  g1(174,159)=T3;
  g1(174,619)=1;
  g1(175,160)=T3;
  g1(175,620)=1;
  g1(176,161)=T3;
  g1(176,621)=1;
  g1(177,162)=T3;
  g1(177,622)=1;
  g1(178,163)=T3;
  g1(178,623)=1;
  g1(179,164)=T3;
  g1(179,624)=1;
  g1(180,165)=T3;
  g1(180,625)=1;
  g1(181,166)=T3;
  g1(181,626)=1;
  g1(182,167)=T3;
  g1(182,627)=1;
  g1(183,168)=T3;
  g1(183,628)=1;
  g1(184,169)=T3;
  g1(184,629)=1;
  g1(185,170)=T3;
  g1(185,630)=1;
  g1(186,171)=T3;
  g1(186,631)=1;
  g1(187,172)=T3;
  g1(187,632)=1;
  g1(188,173)=T3;
  g1(188,633)=1;
  g1(189,174)=T3;
  g1(189,634)=1;
  g1(190,175)=T3;
  g1(190,635)=1;
  g1(191,935)=T3;
  g1(191,636)=1;
  g1(192,176)=T3;
  g1(192,637)=1;
  g1(193,177)=T3;
  g1(193,638)=1;
  g1(194,178)=T3;
  g1(194,639)=1;
  g1(195,179)=T3;
  g1(195,640)=1;
  g1(196,180)=T3;
  g1(196,641)=1;
  g1(197,181)=T3;
  g1(197,642)=1;
  g1(198,182)=T3;
  g1(198,643)=1;
  g1(199,183)=T3;
  g1(199,644)=1;
  g1(200,184)=T3;
  g1(200,645)=1;
  g1(201,185)=T3;
  g1(201,646)=1;
  g1(202,186)=T3;
  g1(202,647)=1;
  g1(203,187)=T3;
  g1(203,648)=1;
  g1(204,188)=T3;
  g1(204,649)=1;
  g1(205,189)=T3;
  g1(205,650)=1;
  g1(206,190)=T3;
  g1(206,651)=1;
  g1(207,191)=T3;
  g1(207,652)=1;
  g1(208,192)=T3;
  g1(208,653)=1;
  g1(209,193)=T3;
  g1(209,654)=1;
  g1(210,194)=T3;
  g1(210,655)=1;
  g1(211,936)=T3;
  g1(211,656)=1;
  g1(212,195)=T3;
  g1(212,657)=1;
  g1(213,196)=T3;
  g1(213,658)=1;
  g1(214,197)=T3;
  g1(214,659)=1;
  g1(215,198)=T3;
  g1(215,660)=1;
  g1(216,199)=T3;
  g1(216,661)=1;
  g1(217,200)=T3;
  g1(217,662)=1;
  g1(218,201)=T3;
  g1(218,663)=1;
  g1(219,202)=T3;
  g1(219,664)=1;
  g1(220,203)=T3;
  g1(220,665)=1;
  g1(221,204)=T3;
  g1(221,666)=1;
  g1(222,205)=T3;
  g1(222,667)=1;
  g1(223,206)=T3;
  g1(223,668)=1;
  g1(224,207)=T3;
  g1(224,669)=1;
  g1(225,208)=T3;
  g1(225,670)=1;
  g1(226,209)=T3;
  g1(226,671)=1;
  g1(227,210)=T3;
  g1(227,672)=1;
  g1(228,211)=T3;
  g1(228,673)=1;
  g1(229,212)=T3;
  g1(229,674)=1;
  g1(230,213)=T3;
  g1(230,675)=1;
  g1(231,214)=T3;
  g1(231,676)=1;
  g1(232,937)=T3;
  g1(232,677)=1;
  g1(233,215)=T3;
  g1(233,678)=1;
  g1(234,216)=T3;
  g1(234,679)=1;
  g1(235,217)=T3;
  g1(235,680)=1;
  g1(236,218)=T3;
  g1(236,681)=1;
  g1(237,219)=T3;
  g1(237,682)=1;
  g1(238,220)=T3;
  g1(238,683)=1;
  g1(239,221)=T3;
  g1(239,684)=1;
  g1(240,222)=T3;
  g1(240,685)=1;
  g1(241,223)=T3;
  g1(241,686)=1;
  g1(242,224)=T3;
  g1(242,687)=1;
  g1(243,225)=T3;
  g1(243,688)=1;
  g1(244,226)=T3;
  g1(244,689)=1;
  g1(245,227)=T3;
  g1(245,690)=1;
  g1(246,228)=T3;
  g1(246,691)=1;
  g1(247,229)=T3;
  g1(247,692)=1;
  g1(248,230)=T3;
  g1(248,693)=1;
  g1(249,231)=T3;
  g1(249,694)=1;
  g1(250,232)=T3;
  g1(250,695)=1;
  g1(251,233)=T3;
  g1(251,696)=1;
  g1(252,234)=T3;
  g1(252,697)=1;
  g1(253,235)=T3;
  g1(253,698)=1;
  g1(254,938)=T3;
  g1(254,699)=1;
  g1(255,236)=T3;
  g1(255,700)=1;
  g1(256,237)=T3;
  g1(256,701)=1;
  g1(257,238)=T3;
  g1(257,702)=1;
  g1(258,239)=T3;
  g1(258,703)=1;
  g1(259,240)=T3;
  g1(259,704)=1;
  g1(260,241)=T3;
  g1(260,705)=1;
  g1(261,242)=T3;
  g1(261,706)=1;
  g1(262,243)=T3;
  g1(262,707)=1;
  g1(263,244)=T3;
  g1(263,708)=1;
  g1(264,245)=T3;
  g1(264,709)=1;
  g1(265,246)=T3;
  g1(265,710)=1;
  g1(266,247)=T3;
  g1(266,711)=1;
  g1(267,248)=T3;
  g1(267,712)=1;
  g1(268,249)=T3;
  g1(268,713)=1;
  g1(269,250)=T3;
  g1(269,714)=1;
  g1(270,251)=T3;
  g1(270,715)=1;
  g1(271,252)=T3;
  g1(271,716)=1;
  g1(272,253)=T3;
  g1(272,717)=1;
  g1(273,254)=T3;
  g1(273,718)=1;
  g1(274,255)=T3;
  g1(274,719)=1;
  g1(275,256)=T3;
  g1(275,720)=1;
  g1(276,257)=T3;
  g1(276,721)=1;
  g1(277,939)=T3;
  g1(277,722)=1;
  g1(278,258)=T3;
  g1(278,723)=1;
  g1(279,259)=T3;
  g1(279,724)=1;
  g1(280,260)=T3;
  g1(280,725)=1;
  g1(281,261)=T3;
  g1(281,726)=1;
  g1(282,262)=T3;
  g1(282,727)=1;
  g1(283,263)=T3;
  g1(283,728)=1;
  g1(284,264)=T3;
  g1(284,729)=1;
  g1(285,265)=T3;
  g1(285,730)=1;
  g1(286,266)=T3;
  g1(286,731)=1;
  g1(287,267)=T3;
  g1(287,732)=1;
  g1(288,268)=T3;
  g1(288,733)=1;
  g1(289,269)=T3;
  g1(289,734)=1;
  g1(290,270)=T3;
  g1(290,735)=1;
  g1(291,271)=T3;
  g1(291,736)=1;
  g1(292,272)=T3;
  g1(292,737)=1;
  g1(293,273)=T3;
  g1(293,738)=1;
  g1(294,274)=T3;
  g1(294,739)=1;
  g1(295,275)=T3;
  g1(295,740)=1;
  g1(296,276)=T3;
  g1(296,741)=1;
  g1(297,277)=T3;
  g1(297,742)=1;
  g1(298,278)=T3;
  g1(298,743)=1;
  g1(299,279)=T3;
  g1(299,744)=1;
  g1(300,280)=T3;
  g1(300,745)=1;
  g1(301,940)=T3;
  g1(301,746)=1;
  g1(302,281)=T3;
  g1(302,747)=1;
  g1(303,282)=T3;
  g1(303,748)=1;
  g1(304,283)=T3;
  g1(304,749)=1;
  g1(305,284)=T3;
  g1(305,750)=1;
  g1(306,285)=T3;
  g1(306,751)=1;
  g1(307,286)=T3;
  g1(307,752)=1;
  g1(308,287)=T3;
  g1(308,753)=1;
  g1(309,288)=T3;
  g1(309,754)=1;
  g1(310,289)=T3;
  g1(310,755)=1;
  g1(311,290)=T3;
  g1(311,756)=1;
  g1(312,291)=T3;
  g1(312,757)=1;
  g1(313,292)=T3;
  g1(313,758)=1;
  g1(314,293)=T3;
  g1(314,759)=1;
  g1(315,294)=T3;
  g1(315,760)=1;
  g1(316,295)=T3;
  g1(316,761)=1;
  g1(317,296)=T3;
  g1(317,762)=1;
  g1(318,297)=T3;
  g1(318,763)=1;
  g1(319,298)=T3;
  g1(319,764)=1;
  g1(320,299)=T3;
  g1(320,765)=1;
  g1(321,300)=T3;
  g1(321,766)=1;
  g1(322,301)=T3;
  g1(322,767)=1;
  g1(323,302)=T3;
  g1(323,768)=1;
  g1(324,303)=T3;
  g1(324,769)=1;
  g1(325,304)=T3;
  g1(325,770)=1;
  g1(326,941)=T3;
  g1(326,771)=1;
  g1(327,305)=T3;
  g1(327,772)=1;
  g1(328,306)=T3;
  g1(328,773)=1;
  g1(329,307)=T3;
  g1(329,774)=1;
  g1(330,308)=T3;
  g1(330,775)=1;
  g1(331,309)=T3;
  g1(331,776)=1;
  g1(332,310)=T3;
  g1(332,777)=1;
  g1(333,311)=T3;
  g1(333,778)=1;
  g1(334,312)=T3;
  g1(334,779)=1;
  g1(335,313)=T3;
  g1(335,780)=1;
  g1(336,314)=T3;
  g1(336,781)=1;
  g1(337,315)=T3;
  g1(337,782)=1;
  g1(338,316)=T3;
  g1(338,783)=1;
  g1(339,317)=T3;
  g1(339,784)=1;
  g1(340,318)=T3;
  g1(340,785)=1;
  g1(341,319)=T3;
  g1(341,786)=1;
  g1(342,320)=T3;
  g1(342,787)=1;
  g1(343,321)=T3;
  g1(343,788)=1;
  g1(344,322)=T3;
  g1(344,789)=1;
  g1(345,323)=T3;
  g1(345,790)=1;
  g1(346,324)=T3;
  g1(346,791)=1;
  g1(347,325)=T3;
  g1(347,792)=1;
  g1(348,326)=T3;
  g1(348,793)=1;
  g1(349,327)=T3;
  g1(349,794)=1;
  g1(350,328)=T3;
  g1(350,795)=1;
  g1(351,329)=T3;
  g1(351,796)=1;
  g1(352,942)=T3;
  g1(352,797)=1;
  g1(353,330)=T3;
  g1(353,798)=1;
  g1(354,331)=T3;
  g1(354,799)=1;
  g1(355,332)=T3;
  g1(355,800)=1;
  g1(356,333)=T3;
  g1(356,801)=1;
  g1(357,334)=T3;
  g1(357,802)=1;
  g1(358,335)=T3;
  g1(358,803)=1;
  g1(359,336)=T3;
  g1(359,804)=1;
  g1(360,337)=T3;
  g1(360,805)=1;
  g1(361,338)=T3;
  g1(361,806)=1;
  g1(362,339)=T3;
  g1(362,807)=1;
  g1(363,340)=T3;
  g1(363,808)=1;
  g1(364,341)=T3;
  g1(364,809)=1;
  g1(365,342)=T3;
  g1(365,810)=1;
  g1(366,343)=T3;
  g1(366,811)=1;
  g1(367,344)=T3;
  g1(367,812)=1;
  g1(368,345)=T3;
  g1(368,813)=1;
  g1(369,346)=T3;
  g1(369,814)=1;
  g1(370,347)=T3;
  g1(370,815)=1;
  g1(371,348)=T3;
  g1(371,816)=1;
  g1(372,349)=T3;
  g1(372,817)=1;
  g1(373,350)=T3;
  g1(373,818)=1;
  g1(374,351)=T3;
  g1(374,819)=1;
  g1(375,352)=T3;
  g1(375,820)=1;
  g1(376,353)=T3;
  g1(376,821)=1;
  g1(377,354)=T3;
  g1(377,822)=1;
  g1(378,355)=T3;
  g1(378,823)=1;
  g1(379,943)=T3;
  g1(379,824)=1;
  g1(380,356)=T3;
  g1(380,825)=1;
  g1(381,357)=T3;
  g1(381,826)=1;
  g1(382,358)=T3;
  g1(382,827)=1;
  g1(383,359)=T3;
  g1(383,828)=1;
  g1(384,360)=T3;
  g1(384,829)=1;
  g1(385,361)=T3;
  g1(385,830)=1;
  g1(386,362)=T3;
  g1(386,831)=1;
  g1(387,363)=T3;
  g1(387,832)=1;
  g1(388,364)=T3;
  g1(388,833)=1;
  g1(389,365)=T3;
  g1(389,834)=1;
  g1(390,366)=T3;
  g1(390,835)=1;
  g1(391,367)=T3;
  g1(391,836)=1;
  g1(392,368)=T3;
  g1(392,837)=1;
  g1(393,369)=T3;
  g1(393,838)=1;
  g1(394,370)=T3;
  g1(394,839)=1;
  g1(395,371)=T3;
  g1(395,840)=1;
  g1(396,372)=T3;
  g1(396,841)=1;
  g1(397,373)=T3;
  g1(397,842)=1;
  g1(398,374)=T3;
  g1(398,843)=1;
  g1(399,375)=T3;
  g1(399,844)=1;
  g1(400,376)=T3;
  g1(400,845)=1;
  g1(401,377)=T3;
  g1(401,846)=1;
  g1(402,378)=T3;
  g1(402,847)=1;
  g1(403,379)=T3;
  g1(403,848)=1;
  g1(404,380)=T3;
  g1(404,849)=1;
  g1(405,381)=T3;
  g1(405,850)=1;
  g1(406,382)=T3;
  g1(406,851)=1;
  g1(407,944)=T3;
  g1(407,852)=1;
  g1(408,383)=T3;
  g1(408,853)=1;
  g1(409,384)=T3;
  g1(409,854)=1;
  g1(410,385)=T3;
  g1(410,855)=1;
  g1(411,386)=T3;
  g1(411,856)=1;
  g1(412,387)=T3;
  g1(412,857)=1;
  g1(413,388)=T3;
  g1(413,858)=1;
  g1(414,389)=T3;
  g1(414,859)=1;
  g1(415,390)=T3;
  g1(415,860)=1;
  g1(416,391)=T3;
  g1(416,861)=1;
  g1(417,392)=T3;
  g1(417,862)=1;
  g1(418,393)=T3;
  g1(418,863)=1;
  g1(419,394)=T3;
  g1(419,864)=1;
  g1(420,395)=T3;
  g1(420,865)=1;
  g1(421,396)=T3;
  g1(421,866)=1;
  g1(422,397)=T3;
  g1(422,867)=1;
  g1(423,398)=T3;
  g1(423,868)=1;
  g1(424,399)=T3;
  g1(424,869)=1;
  g1(425,400)=T3;
  g1(425,870)=1;
  g1(426,401)=T3;
  g1(426,871)=1;
  g1(427,402)=T3;
  g1(427,872)=1;
  g1(428,403)=T3;
  g1(428,873)=1;
  g1(429,404)=T3;
  g1(429,874)=1;
  g1(430,405)=T3;
  g1(430,875)=1;
  g1(431,406)=T3;
  g1(431,876)=1;
  g1(432,407)=T3;
  g1(432,877)=1;
  g1(433,408)=T3;
  g1(433,878)=1;
  g1(434,409)=T3;
  g1(434,879)=1;
  g1(435,410)=T3;
  g1(435,880)=1;
  g1(436,945)=T3;
  g1(436,881)=1;
  g1(437,411)=T3;
  g1(437,882)=1;
  g1(438,412)=T3;
  g1(438,883)=1;
  g1(439,413)=T3;
  g1(439,884)=1;
  g1(440,414)=T3;
  g1(440,885)=1;
  g1(441,415)=T3;
  g1(441,886)=1;
  g1(442,416)=T3;
  g1(442,887)=1;
  g1(443,417)=T3;
  g1(443,888)=1;
  g1(444,418)=T3;
  g1(444,889)=1;
  g1(445,419)=T3;
  g1(445,890)=1;
  g1(446,420)=T3;
  g1(446,891)=1;
  g1(447,421)=T3;
  g1(447,892)=1;
  g1(448,422)=T3;
  g1(448,893)=1;
  g1(449,423)=T3;
  g1(449,894)=1;
  g1(450,424)=T3;
  g1(450,895)=1;
  g1(451,425)=T3;
  g1(451,896)=1;
  g1(452,426)=T3;
  g1(452,897)=1;
  g1(453,427)=T3;
  g1(453,898)=1;
  g1(454,428)=T3;
  g1(454,899)=1;
  g1(455,429)=T3;
  g1(455,900)=1;
  g1(456,430)=T3;
  g1(456,901)=1;
  g1(457,431)=T3;
  g1(457,902)=1;
  g1(458,432)=T3;
  g1(458,903)=1;
  g1(459,433)=T3;
  g1(459,904)=1;
  g1(460,434)=T3;
  g1(460,905)=1;
  g1(461,435)=T3;
  g1(461,906)=1;
  g1(462,436)=T3;
  g1(462,907)=1;
  g1(463,437)=T3;
  g1(463,908)=1;
  g1(464,438)=T3;
  g1(464,909)=1;
  g1(465,439)=T3;
  g1(465,910)=1;
  g1(466,911)=(-T1435);
  g1(466,441)=1;
  g1(466,912)=T3;
  g1(466,442)=T1435;
  g1(466,444)=T1435*(-(1-params(15)));
  g1(467,440)=(-((1-params(11))*params(10)));
  g1(467,441)=(-((1-params(11))*params(12)));
  g1(467,1)=(-params(11));
  g1(467,442)=1;
  g1(467,445)=T3;
  g1(467,446)=T3;
  g1(467,448)=T3;
  g1(467,451)=T3;
  g1(467,455)=T3;
  g1(467,460)=T3;
  g1(467,466)=T3;
  g1(467,473)=T3;
  g1(467,481)=T3;
  g1(467,490)=T3;
  g1(467,500)=T3;
  g1(467,511)=T3;
  g1(467,523)=T3;
  g1(467,536)=T3;
  g1(467,550)=T3;
  g1(467,565)=T3;
  g1(467,581)=T3;
  g1(467,598)=T3;
  g1(467,616)=T3;
  g1(467,635)=T3;
  g1(467,655)=T3;
  g1(467,676)=T3;
  g1(467,698)=T3;
  g1(467,721)=T3;
  g1(467,745)=T3;
  g1(467,770)=T3;
  g1(467,796)=T3;
  g1(467,823)=T3;
  g1(467,851)=T3;
  g1(467,880)=T3;
  g1(467,910)=T3;
  g1(468,440)=1;
  g1(468,911)=(-params(2));
  g1(468,441)=(-params(3));
  g1(468,443)=T3;
  g1(469,2)=(-params(13));
  g1(469,443)=1;
  g1(469,913)=0.1;
  g1(470,3)=(-params(15));
  g1(470,444)=1;
  g1(470,914)=0.1;
  g1(471,4)=(-params(16));
  g1(471,445)=1;
  g1(471,915)=0.1;
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],471,893025);
end
if nargout >= 4,
  %
  % Third order derivatives
  %

  g3 = sparse([],[],[],471,843908625);
end
end
