function [residual, g1, g2] = NKM_ZLB_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Inputs : 
%   y         [M_.endo_nbr by 1] double    vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1] double     vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1] double   vector of parameter values in declaration order
%
% Outputs:
%   residual  [M_.endo_nbr by 1] double    vector of residuals of the static model equations 
%                                          in order of declaration of the equations
%   g1        [M_.endo_nbr by M_.endo_nbr] double    Jacobian matrix of the static model equations;
%                                                     columns: variables in declaration order
%                                                     rows: equations in order of declaration
%   g2        [M_.endo_nbr by (M_.endo_nbr)^2] double   Hessian matrix of the static model equations;
%                                                       columns: variables in declaration order
%                                                       rows: equations in order of declaration
%
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 471, 1);

%
% Model equations
%

shadow_price__ = y(471)+y(441)+y(412)+y(384)+y(357)+y(331)+y(306)+y(282)+y(259)+y(237)+y(216)+y(196)+y(177)+y(159)+y(142)+y(126)+y(111)+y(97)+y(84)+y(72)+y(61)+y(51)+y(42)+y(34)+y(27)+y(21)+y(16)+y(12)+y(7)+y(9);
T3 = (-1);
T999 = params(6)^T3;
lhs =y(7);
rhs =x(4);
residual(1)= lhs-rhs;
lhs =y(8);
rhs =x(5);
residual(2)= lhs-rhs;
lhs =y(9);
rhs =y(8);
residual(3)= lhs-rhs;
lhs =y(10);
rhs =x(6);
residual(4)= lhs-rhs;
lhs =y(11);
rhs =y(10);
residual(5)= lhs-rhs;
lhs =y(12);
rhs =y(11);
residual(6)= lhs-rhs;
lhs =y(13);
rhs =x(7);
residual(7)= lhs-rhs;
lhs =y(14);
rhs =y(13);
residual(8)= lhs-rhs;
lhs =y(15);
rhs =y(14);
residual(9)= lhs-rhs;
lhs =y(16);
rhs =y(15);
residual(10)= lhs-rhs;
lhs =y(17);
rhs =x(8);
residual(11)= lhs-rhs;
lhs =y(18);
rhs =y(17);
residual(12)= lhs-rhs;
lhs =y(19);
rhs =y(18);
residual(13)= lhs-rhs;
lhs =y(20);
rhs =y(19);
residual(14)= lhs-rhs;
lhs =y(21);
rhs =y(20);
residual(15)= lhs-rhs;
lhs =y(22);
rhs =x(9);
residual(16)= lhs-rhs;
lhs =y(23);
rhs =y(22);
residual(17)= lhs-rhs;
lhs =y(24);
rhs =y(23);
residual(18)= lhs-rhs;
lhs =y(25);
rhs =y(24);
residual(19)= lhs-rhs;
lhs =y(26);
rhs =y(25);
residual(20)= lhs-rhs;
lhs =y(27);
rhs =y(26);
residual(21)= lhs-rhs;
lhs =y(28);
rhs =x(10);
residual(22)= lhs-rhs;
lhs =y(29);
rhs =y(28);
residual(23)= lhs-rhs;
lhs =y(30);
rhs =y(29);
residual(24)= lhs-rhs;
lhs =y(31);
rhs =y(30);
residual(25)= lhs-rhs;
lhs =y(32);
rhs =y(31);
residual(26)= lhs-rhs;
lhs =y(33);
rhs =y(32);
residual(27)= lhs-rhs;
lhs =y(34);
rhs =y(33);
residual(28)= lhs-rhs;
lhs =y(35);
rhs =x(11);
residual(29)= lhs-rhs;
lhs =y(36);
rhs =y(35);
residual(30)= lhs-rhs;
lhs =y(37);
rhs =y(36);
residual(31)= lhs-rhs;
lhs =y(38);
rhs =y(37);
residual(32)= lhs-rhs;
lhs =y(39);
rhs =y(38);
residual(33)= lhs-rhs;
lhs =y(40);
rhs =y(39);
residual(34)= lhs-rhs;
lhs =y(41);
rhs =y(40);
residual(35)= lhs-rhs;
lhs =y(42);
rhs =y(41);
residual(36)= lhs-rhs;
lhs =y(43);
rhs =x(12);
residual(37)= lhs-rhs;
lhs =y(44);
rhs =y(43);
residual(38)= lhs-rhs;
lhs =y(45);
rhs =y(44);
residual(39)= lhs-rhs;
lhs =y(46);
rhs =y(45);
residual(40)= lhs-rhs;
lhs =y(47);
rhs =y(46);
residual(41)= lhs-rhs;
lhs =y(48);
rhs =y(47);
residual(42)= lhs-rhs;
lhs =y(49);
rhs =y(48);
residual(43)= lhs-rhs;
lhs =y(50);
rhs =y(49);
residual(44)= lhs-rhs;
lhs =y(51);
rhs =y(50);
residual(45)= lhs-rhs;
lhs =y(52);
rhs =x(13);
residual(46)= lhs-rhs;
lhs =y(53);
rhs =y(52);
residual(47)= lhs-rhs;
lhs =y(54);
rhs =y(53);
residual(48)= lhs-rhs;
lhs =y(55);
rhs =y(54);
residual(49)= lhs-rhs;
lhs =y(56);
rhs =y(55);
residual(50)= lhs-rhs;
lhs =y(57);
rhs =y(56);
residual(51)= lhs-rhs;
lhs =y(58);
rhs =y(57);
residual(52)= lhs-rhs;
lhs =y(59);
rhs =y(58);
residual(53)= lhs-rhs;
lhs =y(60);
rhs =y(59);
residual(54)= lhs-rhs;
lhs =y(61);
rhs =y(60);
residual(55)= lhs-rhs;
lhs =y(62);
rhs =x(14);
residual(56)= lhs-rhs;
lhs =y(63);
rhs =y(62);
residual(57)= lhs-rhs;
lhs =y(64);
rhs =y(63);
residual(58)= lhs-rhs;
lhs =y(65);
rhs =y(64);
residual(59)= lhs-rhs;
lhs =y(66);
rhs =y(65);
residual(60)= lhs-rhs;
lhs =y(67);
rhs =y(66);
residual(61)= lhs-rhs;
lhs =y(68);
rhs =y(67);
residual(62)= lhs-rhs;
lhs =y(69);
rhs =y(68);
residual(63)= lhs-rhs;
lhs =y(70);
rhs =y(69);
residual(64)= lhs-rhs;
lhs =y(71);
rhs =y(70);
residual(65)= lhs-rhs;
lhs =y(72);
rhs =y(71);
residual(66)= lhs-rhs;
lhs =y(73);
rhs =x(15);
residual(67)= lhs-rhs;
lhs =y(74);
rhs =y(73);
residual(68)= lhs-rhs;
lhs =y(75);
rhs =y(74);
residual(69)= lhs-rhs;
lhs =y(76);
rhs =y(75);
residual(70)= lhs-rhs;
lhs =y(77);
rhs =y(76);
residual(71)= lhs-rhs;
lhs =y(78);
rhs =y(77);
residual(72)= lhs-rhs;
lhs =y(79);
rhs =y(78);
residual(73)= lhs-rhs;
lhs =y(80);
rhs =y(79);
residual(74)= lhs-rhs;
lhs =y(81);
rhs =y(80);
residual(75)= lhs-rhs;
lhs =y(82);
rhs =y(81);
residual(76)= lhs-rhs;
lhs =y(83);
rhs =y(82);
residual(77)= lhs-rhs;
lhs =y(84);
rhs =y(83);
residual(78)= lhs-rhs;
lhs =y(85);
rhs =x(16);
residual(79)= lhs-rhs;
lhs =y(86);
rhs =y(85);
residual(80)= lhs-rhs;
lhs =y(87);
rhs =y(86);
residual(81)= lhs-rhs;
lhs =y(88);
rhs =y(87);
residual(82)= lhs-rhs;
lhs =y(89);
rhs =y(88);
residual(83)= lhs-rhs;
lhs =y(90);
rhs =y(89);
residual(84)= lhs-rhs;
lhs =y(91);
rhs =y(90);
residual(85)= lhs-rhs;
lhs =y(92);
rhs =y(91);
residual(86)= lhs-rhs;
lhs =y(93);
rhs =y(92);
residual(87)= lhs-rhs;
lhs =y(94);
rhs =y(93);
residual(88)= lhs-rhs;
lhs =y(95);
rhs =y(94);
residual(89)= lhs-rhs;
lhs =y(96);
rhs =y(95);
residual(90)= lhs-rhs;
lhs =y(97);
rhs =y(96);
residual(91)= lhs-rhs;
lhs =y(98);
rhs =x(17);
residual(92)= lhs-rhs;
lhs =y(99);
rhs =y(98);
residual(93)= lhs-rhs;
lhs =y(100);
rhs =y(99);
residual(94)= lhs-rhs;
lhs =y(101);
rhs =y(100);
residual(95)= lhs-rhs;
lhs =y(102);
rhs =y(101);
residual(96)= lhs-rhs;
lhs =y(103);
rhs =y(102);
residual(97)= lhs-rhs;
lhs =y(104);
rhs =y(103);
residual(98)= lhs-rhs;
lhs =y(105);
rhs =y(104);
residual(99)= lhs-rhs;
lhs =y(106);
rhs =y(105);
residual(100)= lhs-rhs;
lhs =y(107);
rhs =y(106);
residual(101)= lhs-rhs;
lhs =y(108);
rhs =y(107);
residual(102)= lhs-rhs;
lhs =y(109);
rhs =y(108);
residual(103)= lhs-rhs;
lhs =y(110);
rhs =y(109);
residual(104)= lhs-rhs;
lhs =y(111);
rhs =y(110);
residual(105)= lhs-rhs;
lhs =y(112);
rhs =x(18);
residual(106)= lhs-rhs;
lhs =y(113);
rhs =y(112);
residual(107)= lhs-rhs;
lhs =y(114);
rhs =y(113);
residual(108)= lhs-rhs;
lhs =y(115);
rhs =y(114);
residual(109)= lhs-rhs;
lhs =y(116);
rhs =y(115);
residual(110)= lhs-rhs;
lhs =y(117);
rhs =y(116);
residual(111)= lhs-rhs;
lhs =y(118);
rhs =y(117);
residual(112)= lhs-rhs;
lhs =y(119);
rhs =y(118);
residual(113)= lhs-rhs;
lhs =y(120);
rhs =y(119);
residual(114)= lhs-rhs;
lhs =y(121);
rhs =y(120);
residual(115)= lhs-rhs;
lhs =y(122);
rhs =y(121);
residual(116)= lhs-rhs;
lhs =y(123);
rhs =y(122);
residual(117)= lhs-rhs;
lhs =y(124);
rhs =y(123);
residual(118)= lhs-rhs;
lhs =y(125);
rhs =y(124);
residual(119)= lhs-rhs;
lhs =y(126);
rhs =y(125);
residual(120)= lhs-rhs;
lhs =y(127);
rhs =x(19);
residual(121)= lhs-rhs;
lhs =y(128);
rhs =y(127);
residual(122)= lhs-rhs;
lhs =y(129);
rhs =y(128);
residual(123)= lhs-rhs;
lhs =y(130);
rhs =y(129);
residual(124)= lhs-rhs;
lhs =y(131);
rhs =y(130);
residual(125)= lhs-rhs;
lhs =y(132);
rhs =y(131);
residual(126)= lhs-rhs;
lhs =y(133);
rhs =y(132);
residual(127)= lhs-rhs;
lhs =y(134);
rhs =y(133);
residual(128)= lhs-rhs;
lhs =y(135);
rhs =y(134);
residual(129)= lhs-rhs;
lhs =y(136);
rhs =y(135);
residual(130)= lhs-rhs;
lhs =y(137);
rhs =y(136);
residual(131)= lhs-rhs;
lhs =y(138);
rhs =y(137);
residual(132)= lhs-rhs;
lhs =y(139);
rhs =y(138);
residual(133)= lhs-rhs;
lhs =y(140);
rhs =y(139);
residual(134)= lhs-rhs;
lhs =y(141);
rhs =y(140);
residual(135)= lhs-rhs;
lhs =y(142);
rhs =y(141);
residual(136)= lhs-rhs;
lhs =y(143);
rhs =x(20);
residual(137)= lhs-rhs;
lhs =y(144);
rhs =y(143);
residual(138)= lhs-rhs;
lhs =y(145);
rhs =y(144);
residual(139)= lhs-rhs;
lhs =y(146);
rhs =y(145);
residual(140)= lhs-rhs;
lhs =y(147);
rhs =y(146);
residual(141)= lhs-rhs;
lhs =y(148);
rhs =y(147);
residual(142)= lhs-rhs;
lhs =y(149);
rhs =y(148);
residual(143)= lhs-rhs;
lhs =y(150);
rhs =y(149);
residual(144)= lhs-rhs;
lhs =y(151);
rhs =y(150);
residual(145)= lhs-rhs;
lhs =y(152);
rhs =y(151);
residual(146)= lhs-rhs;
lhs =y(153);
rhs =y(152);
residual(147)= lhs-rhs;
lhs =y(154);
rhs =y(153);
residual(148)= lhs-rhs;
lhs =y(155);
rhs =y(154);
residual(149)= lhs-rhs;
lhs =y(156);
rhs =y(155);
residual(150)= lhs-rhs;
lhs =y(157);
rhs =y(156);
residual(151)= lhs-rhs;
lhs =y(158);
rhs =y(157);
residual(152)= lhs-rhs;
lhs =y(159);
rhs =y(158);
residual(153)= lhs-rhs;
lhs =y(160);
rhs =x(21);
residual(154)= lhs-rhs;
lhs =y(161);
rhs =y(160);
residual(155)= lhs-rhs;
lhs =y(162);
rhs =y(161);
residual(156)= lhs-rhs;
lhs =y(163);
rhs =y(162);
residual(157)= lhs-rhs;
lhs =y(164);
rhs =y(163);
residual(158)= lhs-rhs;
lhs =y(165);
rhs =y(164);
residual(159)= lhs-rhs;
lhs =y(166);
rhs =y(165);
residual(160)= lhs-rhs;
lhs =y(167);
rhs =y(166);
residual(161)= lhs-rhs;
lhs =y(168);
rhs =y(167);
residual(162)= lhs-rhs;
lhs =y(169);
rhs =y(168);
residual(163)= lhs-rhs;
lhs =y(170);
rhs =y(169);
residual(164)= lhs-rhs;
lhs =y(171);
rhs =y(170);
residual(165)= lhs-rhs;
lhs =y(172);
rhs =y(171);
residual(166)= lhs-rhs;
lhs =y(173);
rhs =y(172);
residual(167)= lhs-rhs;
lhs =y(174);
rhs =y(173);
residual(168)= lhs-rhs;
lhs =y(175);
rhs =y(174);
residual(169)= lhs-rhs;
lhs =y(176);
rhs =y(175);
residual(170)= lhs-rhs;
lhs =y(177);
rhs =y(176);
residual(171)= lhs-rhs;
lhs =y(178);
rhs =x(22);
residual(172)= lhs-rhs;
lhs =y(179);
rhs =y(178);
residual(173)= lhs-rhs;
lhs =y(180);
rhs =y(179);
residual(174)= lhs-rhs;
lhs =y(181);
rhs =y(180);
residual(175)= lhs-rhs;
lhs =y(182);
rhs =y(181);
residual(176)= lhs-rhs;
lhs =y(183);
rhs =y(182);
residual(177)= lhs-rhs;
lhs =y(184);
rhs =y(183);
residual(178)= lhs-rhs;
lhs =y(185);
rhs =y(184);
residual(179)= lhs-rhs;
lhs =y(186);
rhs =y(185);
residual(180)= lhs-rhs;
lhs =y(187);
rhs =y(186);
residual(181)= lhs-rhs;
lhs =y(188);
rhs =y(187);
residual(182)= lhs-rhs;
lhs =y(189);
rhs =y(188);
residual(183)= lhs-rhs;
lhs =y(190);
rhs =y(189);
residual(184)= lhs-rhs;
lhs =y(191);
rhs =y(190);
residual(185)= lhs-rhs;
lhs =y(192);
rhs =y(191);
residual(186)= lhs-rhs;
lhs =y(193);
rhs =y(192);
residual(187)= lhs-rhs;
lhs =y(194);
rhs =y(193);
residual(188)= lhs-rhs;
lhs =y(195);
rhs =y(194);
residual(189)= lhs-rhs;
lhs =y(196);
rhs =y(195);
residual(190)= lhs-rhs;
lhs =y(197);
rhs =x(23);
residual(191)= lhs-rhs;
lhs =y(198);
rhs =y(197);
residual(192)= lhs-rhs;
lhs =y(199);
rhs =y(198);
residual(193)= lhs-rhs;
lhs =y(200);
rhs =y(199);
residual(194)= lhs-rhs;
lhs =y(201);
rhs =y(200);
residual(195)= lhs-rhs;
lhs =y(202);
rhs =y(201);
residual(196)= lhs-rhs;
lhs =y(203);
rhs =y(202);
residual(197)= lhs-rhs;
lhs =y(204);
rhs =y(203);
residual(198)= lhs-rhs;
lhs =y(205);
rhs =y(204);
residual(199)= lhs-rhs;
lhs =y(206);
rhs =y(205);
residual(200)= lhs-rhs;
lhs =y(207);
rhs =y(206);
residual(201)= lhs-rhs;
lhs =y(208);
rhs =y(207);
residual(202)= lhs-rhs;
lhs =y(209);
rhs =y(208);
residual(203)= lhs-rhs;
lhs =y(210);
rhs =y(209);
residual(204)= lhs-rhs;
lhs =y(211);
rhs =y(210);
residual(205)= lhs-rhs;
lhs =y(212);
rhs =y(211);
residual(206)= lhs-rhs;
lhs =y(213);
rhs =y(212);
residual(207)= lhs-rhs;
lhs =y(214);
rhs =y(213);
residual(208)= lhs-rhs;
lhs =y(215);
rhs =y(214);
residual(209)= lhs-rhs;
lhs =y(216);
rhs =y(215);
residual(210)= lhs-rhs;
lhs =y(217);
rhs =x(24);
residual(211)= lhs-rhs;
lhs =y(218);
rhs =y(217);
residual(212)= lhs-rhs;
lhs =y(219);
rhs =y(218);
residual(213)= lhs-rhs;
lhs =y(220);
rhs =y(219);
residual(214)= lhs-rhs;
lhs =y(221);
rhs =y(220);
residual(215)= lhs-rhs;
lhs =y(222);
rhs =y(221);
residual(216)= lhs-rhs;
lhs =y(223);
rhs =y(222);
residual(217)= lhs-rhs;
lhs =y(224);
rhs =y(223);
residual(218)= lhs-rhs;
lhs =y(225);
rhs =y(224);
residual(219)= lhs-rhs;
lhs =y(226);
rhs =y(225);
residual(220)= lhs-rhs;
lhs =y(227);
rhs =y(226);
residual(221)= lhs-rhs;
lhs =y(228);
rhs =y(227);
residual(222)= lhs-rhs;
lhs =y(229);
rhs =y(228);
residual(223)= lhs-rhs;
lhs =y(230);
rhs =y(229);
residual(224)= lhs-rhs;
lhs =y(231);
rhs =y(230);
residual(225)= lhs-rhs;
lhs =y(232);
rhs =y(231);
residual(226)= lhs-rhs;
lhs =y(233);
rhs =y(232);
residual(227)= lhs-rhs;
lhs =y(234);
rhs =y(233);
residual(228)= lhs-rhs;
lhs =y(235);
rhs =y(234);
residual(229)= lhs-rhs;
lhs =y(236);
rhs =y(235);
residual(230)= lhs-rhs;
lhs =y(237);
rhs =y(236);
residual(231)= lhs-rhs;
lhs =y(238);
rhs =x(25);
residual(232)= lhs-rhs;
lhs =y(239);
rhs =y(238);
residual(233)= lhs-rhs;
lhs =y(240);
rhs =y(239);
residual(234)= lhs-rhs;
lhs =y(241);
rhs =y(240);
residual(235)= lhs-rhs;
lhs =y(242);
rhs =y(241);
residual(236)= lhs-rhs;
lhs =y(243);
rhs =y(242);
residual(237)= lhs-rhs;
lhs =y(244);
rhs =y(243);
residual(238)= lhs-rhs;
lhs =y(245);
rhs =y(244);
residual(239)= lhs-rhs;
lhs =y(246);
rhs =y(245);
residual(240)= lhs-rhs;
lhs =y(247);
rhs =y(246);
residual(241)= lhs-rhs;
lhs =y(248);
rhs =y(247);
residual(242)= lhs-rhs;
lhs =y(249);
rhs =y(248);
residual(243)= lhs-rhs;
lhs =y(250);
rhs =y(249);
residual(244)= lhs-rhs;
lhs =y(251);
rhs =y(250);
residual(245)= lhs-rhs;
lhs =y(252);
rhs =y(251);
residual(246)= lhs-rhs;
lhs =y(253);
rhs =y(252);
residual(247)= lhs-rhs;
lhs =y(254);
rhs =y(253);
residual(248)= lhs-rhs;
lhs =y(255);
rhs =y(254);
residual(249)= lhs-rhs;
lhs =y(256);
rhs =y(255);
residual(250)= lhs-rhs;
lhs =y(257);
rhs =y(256);
residual(251)= lhs-rhs;
lhs =y(258);
rhs =y(257);
residual(252)= lhs-rhs;
lhs =y(259);
rhs =y(258);
residual(253)= lhs-rhs;
lhs =y(260);
rhs =x(26);
residual(254)= lhs-rhs;
lhs =y(261);
rhs =y(260);
residual(255)= lhs-rhs;
lhs =y(262);
rhs =y(261);
residual(256)= lhs-rhs;
lhs =y(263);
rhs =y(262);
residual(257)= lhs-rhs;
lhs =y(264);
rhs =y(263);
residual(258)= lhs-rhs;
lhs =y(265);
rhs =y(264);
residual(259)= lhs-rhs;
lhs =y(266);
rhs =y(265);
residual(260)= lhs-rhs;
lhs =y(267);
rhs =y(266);
residual(261)= lhs-rhs;
lhs =y(268);
rhs =y(267);
residual(262)= lhs-rhs;
lhs =y(269);
rhs =y(268);
residual(263)= lhs-rhs;
lhs =y(270);
rhs =y(269);
residual(264)= lhs-rhs;
lhs =y(271);
rhs =y(270);
residual(265)= lhs-rhs;
lhs =y(272);
rhs =y(271);
residual(266)= lhs-rhs;
lhs =y(273);
rhs =y(272);
residual(267)= lhs-rhs;
lhs =y(274);
rhs =y(273);
residual(268)= lhs-rhs;
lhs =y(275);
rhs =y(274);
residual(269)= lhs-rhs;
lhs =y(276);
rhs =y(275);
residual(270)= lhs-rhs;
lhs =y(277);
rhs =y(276);
residual(271)= lhs-rhs;
lhs =y(278);
rhs =y(277);
residual(272)= lhs-rhs;
lhs =y(279);
rhs =y(278);
residual(273)= lhs-rhs;
lhs =y(280);
rhs =y(279);
residual(274)= lhs-rhs;
lhs =y(281);
rhs =y(280);
residual(275)= lhs-rhs;
lhs =y(282);
rhs =y(281);
residual(276)= lhs-rhs;
lhs =y(283);
rhs =x(27);
residual(277)= lhs-rhs;
lhs =y(284);
rhs =y(283);
residual(278)= lhs-rhs;
lhs =y(285);
rhs =y(284);
residual(279)= lhs-rhs;
lhs =y(286);
rhs =y(285);
residual(280)= lhs-rhs;
lhs =y(287);
rhs =y(286);
residual(281)= lhs-rhs;
lhs =y(288);
rhs =y(287);
residual(282)= lhs-rhs;
lhs =y(289);
rhs =y(288);
residual(283)= lhs-rhs;
lhs =y(290);
rhs =y(289);
residual(284)= lhs-rhs;
lhs =y(291);
rhs =y(290);
residual(285)= lhs-rhs;
lhs =y(292);
rhs =y(291);
residual(286)= lhs-rhs;
lhs =y(293);
rhs =y(292);
residual(287)= lhs-rhs;
lhs =y(294);
rhs =y(293);
residual(288)= lhs-rhs;
lhs =y(295);
rhs =y(294);
residual(289)= lhs-rhs;
lhs =y(296);
rhs =y(295);
residual(290)= lhs-rhs;
lhs =y(297);
rhs =y(296);
residual(291)= lhs-rhs;
lhs =y(298);
rhs =y(297);
residual(292)= lhs-rhs;
lhs =y(299);
rhs =y(298);
residual(293)= lhs-rhs;
lhs =y(300);
rhs =y(299);
residual(294)= lhs-rhs;
lhs =y(301);
rhs =y(300);
residual(295)= lhs-rhs;
lhs =y(302);
rhs =y(301);
residual(296)= lhs-rhs;
lhs =y(303);
rhs =y(302);
residual(297)= lhs-rhs;
lhs =y(304);
rhs =y(303);
residual(298)= lhs-rhs;
lhs =y(305);
rhs =y(304);
residual(299)= lhs-rhs;
lhs =y(306);
rhs =y(305);
residual(300)= lhs-rhs;
lhs =y(307);
rhs =x(28);
residual(301)= lhs-rhs;
lhs =y(308);
rhs =y(307);
residual(302)= lhs-rhs;
lhs =y(309);
rhs =y(308);
residual(303)= lhs-rhs;
lhs =y(310);
rhs =y(309);
residual(304)= lhs-rhs;
lhs =y(311);
rhs =y(310);
residual(305)= lhs-rhs;
lhs =y(312);
rhs =y(311);
residual(306)= lhs-rhs;
lhs =y(313);
rhs =y(312);
residual(307)= lhs-rhs;
lhs =y(314);
rhs =y(313);
residual(308)= lhs-rhs;
lhs =y(315);
rhs =y(314);
residual(309)= lhs-rhs;
lhs =y(316);
rhs =y(315);
residual(310)= lhs-rhs;
lhs =y(317);
rhs =y(316);
residual(311)= lhs-rhs;
lhs =y(318);
rhs =y(317);
residual(312)= lhs-rhs;
lhs =y(319);
rhs =y(318);
residual(313)= lhs-rhs;
lhs =y(320);
rhs =y(319);
residual(314)= lhs-rhs;
lhs =y(321);
rhs =y(320);
residual(315)= lhs-rhs;
lhs =y(322);
rhs =y(321);
residual(316)= lhs-rhs;
lhs =y(323);
rhs =y(322);
residual(317)= lhs-rhs;
lhs =y(324);
rhs =y(323);
residual(318)= lhs-rhs;
lhs =y(325);
rhs =y(324);
residual(319)= lhs-rhs;
lhs =y(326);
rhs =y(325);
residual(320)= lhs-rhs;
lhs =y(327);
rhs =y(326);
residual(321)= lhs-rhs;
lhs =y(328);
rhs =y(327);
residual(322)= lhs-rhs;
lhs =y(329);
rhs =y(328);
residual(323)= lhs-rhs;
lhs =y(330);
rhs =y(329);
residual(324)= lhs-rhs;
lhs =y(331);
rhs =y(330);
residual(325)= lhs-rhs;
lhs =y(332);
rhs =x(29);
residual(326)= lhs-rhs;
lhs =y(333);
rhs =y(332);
residual(327)= lhs-rhs;
lhs =y(334);
rhs =y(333);
residual(328)= lhs-rhs;
lhs =y(335);
rhs =y(334);
residual(329)= lhs-rhs;
lhs =y(336);
rhs =y(335);
residual(330)= lhs-rhs;
lhs =y(337);
rhs =y(336);
residual(331)= lhs-rhs;
lhs =y(338);
rhs =y(337);
residual(332)= lhs-rhs;
lhs =y(339);
rhs =y(338);
residual(333)= lhs-rhs;
lhs =y(340);
rhs =y(339);
residual(334)= lhs-rhs;
lhs =y(341);
rhs =y(340);
residual(335)= lhs-rhs;
lhs =y(342);
rhs =y(341);
residual(336)= lhs-rhs;
lhs =y(343);
rhs =y(342);
residual(337)= lhs-rhs;
lhs =y(344);
rhs =y(343);
residual(338)= lhs-rhs;
lhs =y(345);
rhs =y(344);
residual(339)= lhs-rhs;
lhs =y(346);
rhs =y(345);
residual(340)= lhs-rhs;
lhs =y(347);
rhs =y(346);
residual(341)= lhs-rhs;
lhs =y(348);
rhs =y(347);
residual(342)= lhs-rhs;
lhs =y(349);
rhs =y(348);
residual(343)= lhs-rhs;
lhs =y(350);
rhs =y(349);
residual(344)= lhs-rhs;
lhs =y(351);
rhs =y(350);
residual(345)= lhs-rhs;
lhs =y(352);
rhs =y(351);
residual(346)= lhs-rhs;
lhs =y(353);
rhs =y(352);
residual(347)= lhs-rhs;
lhs =y(354);
rhs =y(353);
residual(348)= lhs-rhs;
lhs =y(355);
rhs =y(354);
residual(349)= lhs-rhs;
lhs =y(356);
rhs =y(355);
residual(350)= lhs-rhs;
lhs =y(357);
rhs =y(356);
residual(351)= lhs-rhs;
lhs =y(358);
rhs =x(30);
residual(352)= lhs-rhs;
lhs =y(359);
rhs =y(358);
residual(353)= lhs-rhs;
lhs =y(360);
rhs =y(359);
residual(354)= lhs-rhs;
lhs =y(361);
rhs =y(360);
residual(355)= lhs-rhs;
lhs =y(362);
rhs =y(361);
residual(356)= lhs-rhs;
lhs =y(363);
rhs =y(362);
residual(357)= lhs-rhs;
lhs =y(364);
rhs =y(363);
residual(358)= lhs-rhs;
lhs =y(365);
rhs =y(364);
residual(359)= lhs-rhs;
lhs =y(366);
rhs =y(365);
residual(360)= lhs-rhs;
lhs =y(367);
rhs =y(366);
residual(361)= lhs-rhs;
lhs =y(368);
rhs =y(367);
residual(362)= lhs-rhs;
lhs =y(369);
rhs =y(368);
residual(363)= lhs-rhs;
lhs =y(370);
rhs =y(369);
residual(364)= lhs-rhs;
lhs =y(371);
rhs =y(370);
residual(365)= lhs-rhs;
lhs =y(372);
rhs =y(371);
residual(366)= lhs-rhs;
lhs =y(373);
rhs =y(372);
residual(367)= lhs-rhs;
lhs =y(374);
rhs =y(373);
residual(368)= lhs-rhs;
lhs =y(375);
rhs =y(374);
residual(369)= lhs-rhs;
lhs =y(376);
rhs =y(375);
residual(370)= lhs-rhs;
lhs =y(377);
rhs =y(376);
residual(371)= lhs-rhs;
lhs =y(378);
rhs =y(377);
residual(372)= lhs-rhs;
lhs =y(379);
rhs =y(378);
residual(373)= lhs-rhs;
lhs =y(380);
rhs =y(379);
residual(374)= lhs-rhs;
lhs =y(381);
rhs =y(380);
residual(375)= lhs-rhs;
lhs =y(382);
rhs =y(381);
residual(376)= lhs-rhs;
lhs =y(383);
rhs =y(382);
residual(377)= lhs-rhs;
lhs =y(384);
rhs =y(383);
residual(378)= lhs-rhs;
lhs =y(385);
rhs =x(31);
residual(379)= lhs-rhs;
lhs =y(386);
rhs =y(385);
residual(380)= lhs-rhs;
lhs =y(387);
rhs =y(386);
residual(381)= lhs-rhs;
lhs =y(388);
rhs =y(387);
residual(382)= lhs-rhs;
lhs =y(389);
rhs =y(388);
residual(383)= lhs-rhs;
lhs =y(390);
rhs =y(389);
residual(384)= lhs-rhs;
lhs =y(391);
rhs =y(390);
residual(385)= lhs-rhs;
lhs =y(392);
rhs =y(391);
residual(386)= lhs-rhs;
lhs =y(393);
rhs =y(392);
residual(387)= lhs-rhs;
lhs =y(394);
rhs =y(393);
residual(388)= lhs-rhs;
lhs =y(395);
rhs =y(394);
residual(389)= lhs-rhs;
lhs =y(396);
rhs =y(395);
residual(390)= lhs-rhs;
lhs =y(397);
rhs =y(396);
residual(391)= lhs-rhs;
lhs =y(398);
rhs =y(397);
residual(392)= lhs-rhs;
lhs =y(399);
rhs =y(398);
residual(393)= lhs-rhs;
lhs =y(400);
rhs =y(399);
residual(394)= lhs-rhs;
lhs =y(401);
rhs =y(400);
residual(395)= lhs-rhs;
lhs =y(402);
rhs =y(401);
residual(396)= lhs-rhs;
lhs =y(403);
rhs =y(402);
residual(397)= lhs-rhs;
lhs =y(404);
rhs =y(403);
residual(398)= lhs-rhs;
lhs =y(405);
rhs =y(404);
residual(399)= lhs-rhs;
lhs =y(406);
rhs =y(405);
residual(400)= lhs-rhs;
lhs =y(407);
rhs =y(406);
residual(401)= lhs-rhs;
lhs =y(408);
rhs =y(407);
residual(402)= lhs-rhs;
lhs =y(409);
rhs =y(408);
residual(403)= lhs-rhs;
lhs =y(410);
rhs =y(409);
residual(404)= lhs-rhs;
lhs =y(411);
rhs =y(410);
residual(405)= lhs-rhs;
lhs =y(412);
rhs =y(411);
residual(406)= lhs-rhs;
lhs =y(413);
rhs =x(32);
residual(407)= lhs-rhs;
lhs =y(414);
rhs =y(413);
residual(408)= lhs-rhs;
lhs =y(415);
rhs =y(414);
residual(409)= lhs-rhs;
lhs =y(416);
rhs =y(415);
residual(410)= lhs-rhs;
lhs =y(417);
rhs =y(416);
residual(411)= lhs-rhs;
lhs =y(418);
rhs =y(417);
residual(412)= lhs-rhs;
lhs =y(419);
rhs =y(418);
residual(413)= lhs-rhs;
lhs =y(420);
rhs =y(419);
residual(414)= lhs-rhs;
lhs =y(421);
rhs =y(420);
residual(415)= lhs-rhs;
lhs =y(422);
rhs =y(421);
residual(416)= lhs-rhs;
lhs =y(423);
rhs =y(422);
residual(417)= lhs-rhs;
lhs =y(424);
rhs =y(423);
residual(418)= lhs-rhs;
lhs =y(425);
rhs =y(424);
residual(419)= lhs-rhs;
lhs =y(426);
rhs =y(425);
residual(420)= lhs-rhs;
lhs =y(427);
rhs =y(426);
residual(421)= lhs-rhs;
lhs =y(428);
rhs =y(427);
residual(422)= lhs-rhs;
lhs =y(429);
rhs =y(428);
residual(423)= lhs-rhs;
lhs =y(430);
rhs =y(429);
residual(424)= lhs-rhs;
lhs =y(431);
rhs =y(430);
residual(425)= lhs-rhs;
lhs =y(432);
rhs =y(431);
residual(426)= lhs-rhs;
lhs =y(433);
rhs =y(432);
residual(427)= lhs-rhs;
lhs =y(434);
rhs =y(433);
residual(428)= lhs-rhs;
lhs =y(435);
rhs =y(434);
residual(429)= lhs-rhs;
lhs =y(436);
rhs =y(435);
residual(430)= lhs-rhs;
lhs =y(437);
rhs =y(436);
residual(431)= lhs-rhs;
lhs =y(438);
rhs =y(437);
residual(432)= lhs-rhs;
lhs =y(439);
rhs =y(438);
residual(433)= lhs-rhs;
lhs =y(440);
rhs =y(439);
residual(434)= lhs-rhs;
lhs =y(441);
rhs =y(440);
residual(435)= lhs-rhs;
lhs =y(442);
rhs =x(33);
residual(436)= lhs-rhs;
lhs =y(443);
rhs =y(442);
residual(437)= lhs-rhs;
lhs =y(444);
rhs =y(443);
residual(438)= lhs-rhs;
lhs =y(445);
rhs =y(444);
residual(439)= lhs-rhs;
lhs =y(446);
rhs =y(445);
residual(440)= lhs-rhs;
lhs =y(447);
rhs =y(446);
residual(441)= lhs-rhs;
lhs =y(448);
rhs =y(447);
residual(442)= lhs-rhs;
lhs =y(449);
rhs =y(448);
residual(443)= lhs-rhs;
lhs =y(450);
rhs =y(449);
residual(444)= lhs-rhs;
lhs =y(451);
rhs =y(450);
residual(445)= lhs-rhs;
lhs =y(452);
rhs =y(451);
residual(446)= lhs-rhs;
lhs =y(453);
rhs =y(452);
residual(447)= lhs-rhs;
lhs =y(454);
rhs =y(453);
residual(448)= lhs-rhs;
lhs =y(455);
rhs =y(454);
residual(449)= lhs-rhs;
lhs =y(456);
rhs =y(455);
residual(450)= lhs-rhs;
lhs =y(457);
rhs =y(456);
residual(451)= lhs-rhs;
lhs =y(458);
rhs =y(457);
residual(452)= lhs-rhs;
lhs =y(459);
rhs =y(458);
residual(453)= lhs-rhs;
lhs =y(460);
rhs =y(459);
residual(454)= lhs-rhs;
lhs =y(461);
rhs =y(460);
residual(455)= lhs-rhs;
lhs =y(462);
rhs =y(461);
residual(456)= lhs-rhs;
lhs =y(463);
rhs =y(462);
residual(457)= lhs-rhs;
lhs =y(464);
rhs =y(463);
residual(458)= lhs-rhs;
lhs =y(465);
rhs =y(464);
residual(459)= lhs-rhs;
lhs =y(466);
rhs =y(465);
residual(460)= lhs-rhs;
lhs =y(467);
rhs =y(466);
residual(461)= lhs-rhs;
lhs =y(468);
rhs =y(467);
residual(462)= lhs-rhs;
lhs =y(469);
rhs =y(468);
residual(463)= lhs-rhs;
lhs =y(470);
rhs =y(469);
residual(464)= lhs-rhs;
lhs =y(471);
rhs =y(470);
residual(465)= lhs-rhs;
lhs =y(2);
rhs =y(2)-T999*(y(3)-log(params(14))-y(1)-(1-params(15))*y(5));
residual(466)= lhs-rhs;
lhs =y(3);
rhs =log(params(14))+(y(3)-log(params(14)))*params(11)+(1-params(11))*(y(1)*params(10)+y(2)*params(12))+y(6)+shadow_price__;
residual(467)= lhs-rhs;
lhs =y(1);
rhs =y(1)*params(2)+y(2)*params(3)+y(4);
residual(468)= lhs-rhs;
lhs =y(4);
rhs =y(4)*params(13)-0.1*x(1);
residual(469)= lhs-rhs;
lhs =y(5);
rhs =params(15)*y(5)-0.1*x(2);
residual(470)= lhs-rhs;
lhs =y(6);
rhs =y(6)*params(16)-0.1*x(3);
residual(471)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(471, 471);

  %
  % Jacobian matrix
  %

  g1(1,7)=1;
  g1(2,8)=1;
  g1(3,8)=T3;
  g1(3,9)=1;
  g1(4,10)=1;
  g1(5,10)=T3;
  g1(5,11)=1;
  g1(6,11)=T3;
  g1(6,12)=1;
  g1(7,13)=1;
  g1(8,13)=T3;
  g1(8,14)=1;
  g1(9,14)=T3;
  g1(9,15)=1;
  g1(10,15)=T3;
  g1(10,16)=1;
  g1(11,17)=1;
  g1(12,17)=T3;
  g1(12,18)=1;
  g1(13,18)=T3;
  g1(13,19)=1;
  g1(14,19)=T3;
  g1(14,20)=1;
  g1(15,20)=T3;
  g1(15,21)=1;
  g1(16,22)=1;
  g1(17,22)=T3;
  g1(17,23)=1;
  g1(18,23)=T3;
  g1(18,24)=1;
  g1(19,24)=T3;
  g1(19,25)=1;
  g1(20,25)=T3;
  g1(20,26)=1;
  g1(21,26)=T3;
  g1(21,27)=1;
  g1(22,28)=1;
  g1(23,28)=T3;
  g1(23,29)=1;
  g1(24,29)=T3;
  g1(24,30)=1;
  g1(25,30)=T3;
  g1(25,31)=1;
  g1(26,31)=T3;
  g1(26,32)=1;
  g1(27,32)=T3;
  g1(27,33)=1;
  g1(28,33)=T3;
  g1(28,34)=1;
  g1(29,35)=1;
  g1(30,35)=T3;
  g1(30,36)=1;
  g1(31,36)=T3;
  g1(31,37)=1;
  g1(32,37)=T3;
  g1(32,38)=1;
  g1(33,38)=T3;
  g1(33,39)=1;
  g1(34,39)=T3;
  g1(34,40)=1;
  g1(35,40)=T3;
  g1(35,41)=1;
  g1(36,41)=T3;
  g1(36,42)=1;
  g1(37,43)=1;
  g1(38,43)=T3;
  g1(38,44)=1;
  g1(39,44)=T3;
  g1(39,45)=1;
  g1(40,45)=T3;
  g1(40,46)=1;
  g1(41,46)=T3;
  g1(41,47)=1;
  g1(42,47)=T3;
  g1(42,48)=1;
  g1(43,48)=T3;
  g1(43,49)=1;
  g1(44,49)=T3;
  g1(44,50)=1;
  g1(45,50)=T3;
  g1(45,51)=1;
  g1(46,52)=1;
  g1(47,52)=T3;
  g1(47,53)=1;
  g1(48,53)=T3;
  g1(48,54)=1;
  g1(49,54)=T3;
  g1(49,55)=1;
  g1(50,55)=T3;
  g1(50,56)=1;
  g1(51,56)=T3;
  g1(51,57)=1;
  g1(52,57)=T3;
  g1(52,58)=1;
  g1(53,58)=T3;
  g1(53,59)=1;
  g1(54,59)=T3;
  g1(54,60)=1;
  g1(55,60)=T3;
  g1(55,61)=1;
  g1(56,62)=1;
  g1(57,62)=T3;
  g1(57,63)=1;
  g1(58,63)=T3;
  g1(58,64)=1;
  g1(59,64)=T3;
  g1(59,65)=1;
  g1(60,65)=T3;
  g1(60,66)=1;
  g1(61,66)=T3;
  g1(61,67)=1;
  g1(62,67)=T3;
  g1(62,68)=1;
  g1(63,68)=T3;
  g1(63,69)=1;
  g1(64,69)=T3;
  g1(64,70)=1;
  g1(65,70)=T3;
  g1(65,71)=1;
  g1(66,71)=T3;
  g1(66,72)=1;
  g1(67,73)=1;
  g1(68,73)=T3;
  g1(68,74)=1;
  g1(69,74)=T3;
  g1(69,75)=1;
  g1(70,75)=T3;
  g1(70,76)=1;
  g1(71,76)=T3;
  g1(71,77)=1;
  g1(72,77)=T3;
  g1(72,78)=1;
  g1(73,78)=T3;
  g1(73,79)=1;
  g1(74,79)=T3;
  g1(74,80)=1;
  g1(75,80)=T3;
  g1(75,81)=1;
  g1(76,81)=T3;
  g1(76,82)=1;
  g1(77,82)=T3;
  g1(77,83)=1;
  g1(78,83)=T3;
  g1(78,84)=1;
  g1(79,85)=1;
  g1(80,85)=T3;
  g1(80,86)=1;
  g1(81,86)=T3;
  g1(81,87)=1;
  g1(82,87)=T3;
  g1(82,88)=1;
  g1(83,88)=T3;
  g1(83,89)=1;
  g1(84,89)=T3;
  g1(84,90)=1;
  g1(85,90)=T3;
  g1(85,91)=1;
  g1(86,91)=T3;
  g1(86,92)=1;
  g1(87,92)=T3;
  g1(87,93)=1;
  g1(88,93)=T3;
  g1(88,94)=1;
  g1(89,94)=T3;
  g1(89,95)=1;
  g1(90,95)=T3;
  g1(90,96)=1;
  g1(91,96)=T3;
  g1(91,97)=1;
  g1(92,98)=1;
  g1(93,98)=T3;
  g1(93,99)=1;
  g1(94,99)=T3;
  g1(94,100)=1;
  g1(95,100)=T3;
  g1(95,101)=1;
  g1(96,101)=T3;
  g1(96,102)=1;
  g1(97,102)=T3;
  g1(97,103)=1;
  g1(98,103)=T3;
  g1(98,104)=1;
  g1(99,104)=T3;
  g1(99,105)=1;
  g1(100,105)=T3;
  g1(100,106)=1;
  g1(101,106)=T3;
  g1(101,107)=1;
  g1(102,107)=T3;
  g1(102,108)=1;
  g1(103,108)=T3;
  g1(103,109)=1;
  g1(104,109)=T3;
  g1(104,110)=1;
  g1(105,110)=T3;
  g1(105,111)=1;
  g1(106,112)=1;
  g1(107,112)=T3;
  g1(107,113)=1;
  g1(108,113)=T3;
  g1(108,114)=1;
  g1(109,114)=T3;
  g1(109,115)=1;
  g1(110,115)=T3;
  g1(110,116)=1;
  g1(111,116)=T3;
  g1(111,117)=1;
  g1(112,117)=T3;
  g1(112,118)=1;
  g1(113,118)=T3;
  g1(113,119)=1;
  g1(114,119)=T3;
  g1(114,120)=1;
  g1(115,120)=T3;
  g1(115,121)=1;
  g1(116,121)=T3;
  g1(116,122)=1;
  g1(117,122)=T3;
  g1(117,123)=1;
  g1(118,123)=T3;
  g1(118,124)=1;
  g1(119,124)=T3;
  g1(119,125)=1;
  g1(120,125)=T3;
  g1(120,126)=1;
  g1(121,127)=1;
  g1(122,127)=T3;
  g1(122,128)=1;
  g1(123,128)=T3;
  g1(123,129)=1;
  g1(124,129)=T3;
  g1(124,130)=1;
  g1(125,130)=T3;
  g1(125,131)=1;
  g1(126,131)=T3;
  g1(126,132)=1;
  g1(127,132)=T3;
  g1(127,133)=1;
  g1(128,133)=T3;
  g1(128,134)=1;
  g1(129,134)=T3;
  g1(129,135)=1;
  g1(130,135)=T3;
  g1(130,136)=1;
  g1(131,136)=T3;
  g1(131,137)=1;
  g1(132,137)=T3;
  g1(132,138)=1;
  g1(133,138)=T3;
  g1(133,139)=1;
  g1(134,139)=T3;
  g1(134,140)=1;
  g1(135,140)=T3;
  g1(135,141)=1;
  g1(136,141)=T3;
  g1(136,142)=1;
  g1(137,143)=1;
  g1(138,143)=T3;
  g1(138,144)=1;
  g1(139,144)=T3;
  g1(139,145)=1;
  g1(140,145)=T3;
  g1(140,146)=1;
  g1(141,146)=T3;
  g1(141,147)=1;
  g1(142,147)=T3;
  g1(142,148)=1;
  g1(143,148)=T3;
  g1(143,149)=1;
  g1(144,149)=T3;
  g1(144,150)=1;
  g1(145,150)=T3;
  g1(145,151)=1;
  g1(146,151)=T3;
  g1(146,152)=1;
  g1(147,152)=T3;
  g1(147,153)=1;
  g1(148,153)=T3;
  g1(148,154)=1;
  g1(149,154)=T3;
  g1(149,155)=1;
  g1(150,155)=T3;
  g1(150,156)=1;
  g1(151,156)=T3;
  g1(151,157)=1;
  g1(152,157)=T3;
  g1(152,158)=1;
  g1(153,158)=T3;
  g1(153,159)=1;
  g1(154,160)=1;
  g1(155,160)=T3;
  g1(155,161)=1;
  g1(156,161)=T3;
  g1(156,162)=1;
  g1(157,162)=T3;
  g1(157,163)=1;
  g1(158,163)=T3;
  g1(158,164)=1;
  g1(159,164)=T3;
  g1(159,165)=1;
  g1(160,165)=T3;
  g1(160,166)=1;
  g1(161,166)=T3;
  g1(161,167)=1;
  g1(162,167)=T3;
  g1(162,168)=1;
  g1(163,168)=T3;
  g1(163,169)=1;
  g1(164,169)=T3;
  g1(164,170)=1;
  g1(165,170)=T3;
  g1(165,171)=1;
  g1(166,171)=T3;
  g1(166,172)=1;
  g1(167,172)=T3;
  g1(167,173)=1;
  g1(168,173)=T3;
  g1(168,174)=1;
  g1(169,174)=T3;
  g1(169,175)=1;
  g1(170,175)=T3;
  g1(170,176)=1;
  g1(171,176)=T3;
  g1(171,177)=1;
  g1(172,178)=1;
  g1(173,178)=T3;
  g1(173,179)=1;
  g1(174,179)=T3;
  g1(174,180)=1;
  g1(175,180)=T3;
  g1(175,181)=1;
  g1(176,181)=T3;
  g1(176,182)=1;
  g1(177,182)=T3;
  g1(177,183)=1;
  g1(178,183)=T3;
  g1(178,184)=1;
  g1(179,184)=T3;
  g1(179,185)=1;
  g1(180,185)=T3;
  g1(180,186)=1;
  g1(181,186)=T3;
  g1(181,187)=1;
  g1(182,187)=T3;
  g1(182,188)=1;
  g1(183,188)=T3;
  g1(183,189)=1;
  g1(184,189)=T3;
  g1(184,190)=1;
  g1(185,190)=T3;
  g1(185,191)=1;
  g1(186,191)=T3;
  g1(186,192)=1;
  g1(187,192)=T3;
  g1(187,193)=1;
  g1(188,193)=T3;
  g1(188,194)=1;
  g1(189,194)=T3;
  g1(189,195)=1;
  g1(190,195)=T3;
  g1(190,196)=1;
  g1(191,197)=1;
  g1(192,197)=T3;
  g1(192,198)=1;
  g1(193,198)=T3;
  g1(193,199)=1;
  g1(194,199)=T3;
  g1(194,200)=1;
  g1(195,200)=T3;
  g1(195,201)=1;
  g1(196,201)=T3;
  g1(196,202)=1;
  g1(197,202)=T3;
  g1(197,203)=1;
  g1(198,203)=T3;
  g1(198,204)=1;
  g1(199,204)=T3;
  g1(199,205)=1;
  g1(200,205)=T3;
  g1(200,206)=1;
  g1(201,206)=T3;
  g1(201,207)=1;
  g1(202,207)=T3;
  g1(202,208)=1;
  g1(203,208)=T3;
  g1(203,209)=1;
  g1(204,209)=T3;
  g1(204,210)=1;
  g1(205,210)=T3;
  g1(205,211)=1;
  g1(206,211)=T3;
  g1(206,212)=1;
  g1(207,212)=T3;
  g1(207,213)=1;
  g1(208,213)=T3;
  g1(208,214)=1;
  g1(209,214)=T3;
  g1(209,215)=1;
  g1(210,215)=T3;
  g1(210,216)=1;
  g1(211,217)=1;
  g1(212,217)=T3;
  g1(212,218)=1;
  g1(213,218)=T3;
  g1(213,219)=1;
  g1(214,219)=T3;
  g1(214,220)=1;
  g1(215,220)=T3;
  g1(215,221)=1;
  g1(216,221)=T3;
  g1(216,222)=1;
  g1(217,222)=T3;
  g1(217,223)=1;
  g1(218,223)=T3;
  g1(218,224)=1;
  g1(219,224)=T3;
  g1(219,225)=1;
  g1(220,225)=T3;
  g1(220,226)=1;
  g1(221,226)=T3;
  g1(221,227)=1;
  g1(222,227)=T3;
  g1(222,228)=1;
  g1(223,228)=T3;
  g1(223,229)=1;
  g1(224,229)=T3;
  g1(224,230)=1;
  g1(225,230)=T3;
  g1(225,231)=1;
  g1(226,231)=T3;
  g1(226,232)=1;
  g1(227,232)=T3;
  g1(227,233)=1;
  g1(228,233)=T3;
  g1(228,234)=1;
  g1(229,234)=T3;
  g1(229,235)=1;
  g1(230,235)=T3;
  g1(230,236)=1;
  g1(231,236)=T3;
  g1(231,237)=1;
  g1(232,238)=1;
  g1(233,238)=T3;
  g1(233,239)=1;
  g1(234,239)=T3;
  g1(234,240)=1;
  g1(235,240)=T3;
  g1(235,241)=1;
  g1(236,241)=T3;
  g1(236,242)=1;
  g1(237,242)=T3;
  g1(237,243)=1;
  g1(238,243)=T3;
  g1(238,244)=1;
  g1(239,244)=T3;
  g1(239,245)=1;
  g1(240,245)=T3;
  g1(240,246)=1;
  g1(241,246)=T3;
  g1(241,247)=1;
  g1(242,247)=T3;
  g1(242,248)=1;
  g1(243,248)=T3;
  g1(243,249)=1;
  g1(244,249)=T3;
  g1(244,250)=1;
  g1(245,250)=T3;
  g1(245,251)=1;
  g1(246,251)=T3;
  g1(246,252)=1;
  g1(247,252)=T3;
  g1(247,253)=1;
  g1(248,253)=T3;
  g1(248,254)=1;
  g1(249,254)=T3;
  g1(249,255)=1;
  g1(250,255)=T3;
  g1(250,256)=1;
  g1(251,256)=T3;
  g1(251,257)=1;
  g1(252,257)=T3;
  g1(252,258)=1;
  g1(253,258)=T3;
  g1(253,259)=1;
  g1(254,260)=1;
  g1(255,260)=T3;
  g1(255,261)=1;
  g1(256,261)=T3;
  g1(256,262)=1;
  g1(257,262)=T3;
  g1(257,263)=1;
  g1(258,263)=T3;
  g1(258,264)=1;
  g1(259,264)=T3;
  g1(259,265)=1;
  g1(260,265)=T3;
  g1(260,266)=1;
  g1(261,266)=T3;
  g1(261,267)=1;
  g1(262,267)=T3;
  g1(262,268)=1;
  g1(263,268)=T3;
  g1(263,269)=1;
  g1(264,269)=T3;
  g1(264,270)=1;
  g1(265,270)=T3;
  g1(265,271)=1;
  g1(266,271)=T3;
  g1(266,272)=1;
  g1(267,272)=T3;
  g1(267,273)=1;
  g1(268,273)=T3;
  g1(268,274)=1;
  g1(269,274)=T3;
  g1(269,275)=1;
  g1(270,275)=T3;
  g1(270,276)=1;
  g1(271,276)=T3;
  g1(271,277)=1;
  g1(272,277)=T3;
  g1(272,278)=1;
  g1(273,278)=T3;
  g1(273,279)=1;
  g1(274,279)=T3;
  g1(274,280)=1;
  g1(275,280)=T3;
  g1(275,281)=1;
  g1(276,281)=T3;
  g1(276,282)=1;
  g1(277,283)=1;
  g1(278,283)=T3;
  g1(278,284)=1;
  g1(279,284)=T3;
  g1(279,285)=1;
  g1(280,285)=T3;
  g1(280,286)=1;
  g1(281,286)=T3;
  g1(281,287)=1;
  g1(282,287)=T3;
  g1(282,288)=1;
  g1(283,288)=T3;
  g1(283,289)=1;
  g1(284,289)=T3;
  g1(284,290)=1;
  g1(285,290)=T3;
  g1(285,291)=1;
  g1(286,291)=T3;
  g1(286,292)=1;
  g1(287,292)=T3;
  g1(287,293)=1;
  g1(288,293)=T3;
  g1(288,294)=1;
  g1(289,294)=T3;
  g1(289,295)=1;
  g1(290,295)=T3;
  g1(290,296)=1;
  g1(291,296)=T3;
  g1(291,297)=1;
  g1(292,297)=T3;
  g1(292,298)=1;
  g1(293,298)=T3;
  g1(293,299)=1;
  g1(294,299)=T3;
  g1(294,300)=1;
  g1(295,300)=T3;
  g1(295,301)=1;
  g1(296,301)=T3;
  g1(296,302)=1;
  g1(297,302)=T3;
  g1(297,303)=1;
  g1(298,303)=T3;
  g1(298,304)=1;
  g1(299,304)=T3;
  g1(299,305)=1;
  g1(300,305)=T3;
  g1(300,306)=1;
  g1(301,307)=1;
  g1(302,307)=T3;
  g1(302,308)=1;
  g1(303,308)=T3;
  g1(303,309)=1;
  g1(304,309)=T3;
  g1(304,310)=1;
  g1(305,310)=T3;
  g1(305,311)=1;
  g1(306,311)=T3;
  g1(306,312)=1;
  g1(307,312)=T3;
  g1(307,313)=1;
  g1(308,313)=T3;
  g1(308,314)=1;
  g1(309,314)=T3;
  g1(309,315)=1;
  g1(310,315)=T3;
  g1(310,316)=1;
  g1(311,316)=T3;
  g1(311,317)=1;
  g1(312,317)=T3;
  g1(312,318)=1;
  g1(313,318)=T3;
  g1(313,319)=1;
  g1(314,319)=T3;
  g1(314,320)=1;
  g1(315,320)=T3;
  g1(315,321)=1;
  g1(316,321)=T3;
  g1(316,322)=1;
  g1(317,322)=T3;
  g1(317,323)=1;
  g1(318,323)=T3;
  g1(318,324)=1;
  g1(319,324)=T3;
  g1(319,325)=1;
  g1(320,325)=T3;
  g1(320,326)=1;
  g1(321,326)=T3;
  g1(321,327)=1;
  g1(322,327)=T3;
  g1(322,328)=1;
  g1(323,328)=T3;
  g1(323,329)=1;
  g1(324,329)=T3;
  g1(324,330)=1;
  g1(325,330)=T3;
  g1(325,331)=1;
  g1(326,332)=1;
  g1(327,332)=T3;
  g1(327,333)=1;
  g1(328,333)=T3;
  g1(328,334)=1;
  g1(329,334)=T3;
  g1(329,335)=1;
  g1(330,335)=T3;
  g1(330,336)=1;
  g1(331,336)=T3;
  g1(331,337)=1;
  g1(332,337)=T3;
  g1(332,338)=1;
  g1(333,338)=T3;
  g1(333,339)=1;
  g1(334,339)=T3;
  g1(334,340)=1;
  g1(335,340)=T3;
  g1(335,341)=1;
  g1(336,341)=T3;
  g1(336,342)=1;
  g1(337,342)=T3;
  g1(337,343)=1;
  g1(338,343)=T3;
  g1(338,344)=1;
  g1(339,344)=T3;
  g1(339,345)=1;
  g1(340,345)=T3;
  g1(340,346)=1;
  g1(341,346)=T3;
  g1(341,347)=1;
  g1(342,347)=T3;
  g1(342,348)=1;
  g1(343,348)=T3;
  g1(343,349)=1;
  g1(344,349)=T3;
  g1(344,350)=1;
  g1(345,350)=T3;
  g1(345,351)=1;
  g1(346,351)=T3;
  g1(346,352)=1;
  g1(347,352)=T3;
  g1(347,353)=1;
  g1(348,353)=T3;
  g1(348,354)=1;
  g1(349,354)=T3;
  g1(349,355)=1;
  g1(350,355)=T3;
  g1(350,356)=1;
  g1(351,356)=T3;
  g1(351,357)=1;
  g1(352,358)=1;
  g1(353,358)=T3;
  g1(353,359)=1;
  g1(354,359)=T3;
  g1(354,360)=1;
  g1(355,360)=T3;
  g1(355,361)=1;
  g1(356,361)=T3;
  g1(356,362)=1;
  g1(357,362)=T3;
  g1(357,363)=1;
  g1(358,363)=T3;
  g1(358,364)=1;
  g1(359,364)=T3;
  g1(359,365)=1;
  g1(360,365)=T3;
  g1(360,366)=1;
  g1(361,366)=T3;
  g1(361,367)=1;
  g1(362,367)=T3;
  g1(362,368)=1;
  g1(363,368)=T3;
  g1(363,369)=1;
  g1(364,369)=T3;
  g1(364,370)=1;
  g1(365,370)=T3;
  g1(365,371)=1;
  g1(366,371)=T3;
  g1(366,372)=1;
  g1(367,372)=T3;
  g1(367,373)=1;
  g1(368,373)=T3;
  g1(368,374)=1;
  g1(369,374)=T3;
  g1(369,375)=1;
  g1(370,375)=T3;
  g1(370,376)=1;
  g1(371,376)=T3;
  g1(371,377)=1;
  g1(372,377)=T3;
  g1(372,378)=1;
  g1(373,378)=T3;
  g1(373,379)=1;
  g1(374,379)=T3;
  g1(374,380)=1;
  g1(375,380)=T3;
  g1(375,381)=1;
  g1(376,381)=T3;
  g1(376,382)=1;
  g1(377,382)=T3;
  g1(377,383)=1;
  g1(378,383)=T3;
  g1(378,384)=1;
  g1(379,385)=1;
  g1(380,385)=T3;
  g1(380,386)=1;
  g1(381,386)=T3;
  g1(381,387)=1;
  g1(382,387)=T3;
  g1(382,388)=1;
  g1(383,388)=T3;
  g1(383,389)=1;
  g1(384,389)=T3;
  g1(384,390)=1;
  g1(385,390)=T3;
  g1(385,391)=1;
  g1(386,391)=T3;
  g1(386,392)=1;
  g1(387,392)=T3;
  g1(387,393)=1;
  g1(388,393)=T3;
  g1(388,394)=1;
  g1(389,394)=T3;
  g1(389,395)=1;
  g1(390,395)=T3;
  g1(390,396)=1;
  g1(391,396)=T3;
  g1(391,397)=1;
  g1(392,397)=T3;
  g1(392,398)=1;
  g1(393,398)=T3;
  g1(393,399)=1;
  g1(394,399)=T3;
  g1(394,400)=1;
  g1(395,400)=T3;
  g1(395,401)=1;
  g1(396,401)=T3;
  g1(396,402)=1;
  g1(397,402)=T3;
  g1(397,403)=1;
  g1(398,403)=T3;
  g1(398,404)=1;
  g1(399,404)=T3;
  g1(399,405)=1;
  g1(400,405)=T3;
  g1(400,406)=1;
  g1(401,406)=T3;
  g1(401,407)=1;
  g1(402,407)=T3;
  g1(402,408)=1;
  g1(403,408)=T3;
  g1(403,409)=1;
  g1(404,409)=T3;
  g1(404,410)=1;
  g1(405,410)=T3;
  g1(405,411)=1;
  g1(406,411)=T3;
  g1(406,412)=1;
  g1(407,413)=1;
  g1(408,413)=T3;
  g1(408,414)=1;
  g1(409,414)=T3;
  g1(409,415)=1;
  g1(410,415)=T3;
  g1(410,416)=1;
  g1(411,416)=T3;
  g1(411,417)=1;
  g1(412,417)=T3;
  g1(412,418)=1;
  g1(413,418)=T3;
  g1(413,419)=1;
  g1(414,419)=T3;
  g1(414,420)=1;
  g1(415,420)=T3;
  g1(415,421)=1;
  g1(416,421)=T3;
  g1(416,422)=1;
  g1(417,422)=T3;
  g1(417,423)=1;
  g1(418,423)=T3;
  g1(418,424)=1;
  g1(419,424)=T3;
  g1(419,425)=1;
  g1(420,425)=T3;
  g1(420,426)=1;
  g1(421,426)=T3;
  g1(421,427)=1;
  g1(422,427)=T3;
  g1(422,428)=1;
  g1(423,428)=T3;
  g1(423,429)=1;
  g1(424,429)=T3;
  g1(424,430)=1;
  g1(425,430)=T3;
  g1(425,431)=1;
  g1(426,431)=T3;
  g1(426,432)=1;
  g1(427,432)=T3;
  g1(427,433)=1;
  g1(428,433)=T3;
  g1(428,434)=1;
  g1(429,434)=T3;
  g1(429,435)=1;
  g1(430,435)=T3;
  g1(430,436)=1;
  g1(431,436)=T3;
  g1(431,437)=1;
  g1(432,437)=T3;
  g1(432,438)=1;
  g1(433,438)=T3;
  g1(433,439)=1;
  g1(434,439)=T3;
  g1(434,440)=1;
  g1(435,440)=T3;
  g1(435,441)=1;
  g1(436,442)=1;
  g1(437,442)=T3;
  g1(437,443)=1;
  g1(438,443)=T3;
  g1(438,444)=1;
  g1(439,444)=T3;
  g1(439,445)=1;
  g1(440,445)=T3;
  g1(440,446)=1;
  g1(441,446)=T3;
  g1(441,447)=1;
  g1(442,447)=T3;
  g1(442,448)=1;
  g1(443,448)=T3;
  g1(443,449)=1;
  g1(444,449)=T3;
  g1(444,450)=1;
  g1(445,450)=T3;
  g1(445,451)=1;
  g1(446,451)=T3;
  g1(446,452)=1;
  g1(447,452)=T3;
  g1(447,453)=1;
  g1(448,453)=T3;
  g1(448,454)=1;
  g1(449,454)=T3;
  g1(449,455)=1;
  g1(450,455)=T3;
  g1(450,456)=1;
  g1(451,456)=T3;
  g1(451,457)=1;
  g1(452,457)=T3;
  g1(452,458)=1;
  g1(453,458)=T3;
  g1(453,459)=1;
  g1(454,459)=T3;
  g1(454,460)=1;
  g1(455,460)=T3;
  g1(455,461)=1;
  g1(456,461)=T3;
  g1(456,462)=1;
  g1(457,462)=T3;
  g1(457,463)=1;
  g1(458,463)=T3;
  g1(458,464)=1;
  g1(459,464)=T3;
  g1(459,465)=1;
  g1(460,465)=T3;
  g1(460,466)=1;
  g1(461,466)=T3;
  g1(461,467)=1;
  g1(462,467)=T3;
  g1(462,468)=1;
  g1(463,468)=T3;
  g1(463,469)=1;
  g1(464,469)=T3;
  g1(464,470)=1;
  g1(465,470)=T3;
  g1(465,471)=1;
  g1(466,1)=(-T999);
  g1(466,3)=T999;
  g1(466,5)=T999*(-(1-params(15)));
  g1(467,1)=(-((1-params(11))*params(10)));
  g1(467,2)=(-((1-params(11))*params(12)));
  g1(467,3)=1-params(11);
  g1(467,6)=T3;
  g1(467,7)=T3;
  g1(467,9)=T3;
  g1(467,12)=T3;
  g1(467,16)=T3;
  g1(467,21)=T3;
  g1(467,27)=T3;
  g1(467,34)=T3;
  g1(467,42)=T3;
  g1(467,51)=T3;
  g1(467,61)=T3;
  g1(467,72)=T3;
  g1(467,84)=T3;
  g1(467,97)=T3;
  g1(467,111)=T3;
  g1(467,126)=T3;
  g1(467,142)=T3;
  g1(467,159)=T3;
  g1(467,177)=T3;
  g1(467,196)=T3;
  g1(467,216)=T3;
  g1(467,237)=T3;
  g1(467,259)=T3;
  g1(467,282)=T3;
  g1(467,306)=T3;
  g1(467,331)=T3;
  g1(467,357)=T3;
  g1(467,384)=T3;
  g1(467,412)=T3;
  g1(467,441)=T3;
  g1(467,471)=T3;
  g1(468,1)=1-params(2);
  g1(468,2)=(-params(3));
  g1(468,4)=T3;
  g1(469,4)=1-params(13);
  g1(470,5)=1-params(15);
  g1(471,6)=1-params(16);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
  %
  % Hessian matrix
  %

  g2 = sparse([],[],[],471,221841);
end
end
