% Policy_Functions_Figure
%
% Figures for Policy Functions for Period t+1
% Late Updated: December 1, 2020
%
load policyfunctions % load data for the policy functions

peshock=peshock*100;
nn=size(pf_cn);
n=nn(1,1); % Calculate the number of data points
[pfc_w pf_w pfc_dPw pf_dPw pfc_n pf_n]
figure('PaperOrientation','portrait','PaperUnits','inches','PaperPosition',[0.25 0 8 10.75],'units','normalized','outerposition',[0 0 1 1])
subplot(5,2,1), s1=plot(peshock,pfc_y,'k-',peshock,pf_y,'k--');... 
title({'Output (E_{t}[y_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -3.5 0])
set(s1(1),'LineWidth',1);
set(s1(2),'LineWidth',1);

subplot(5,2,5), s2=plot(peshock,pfc_PIIc,'k-',peshock,pf_PIIc,'k--');... 
title({'Core Inflation Rate (E_{t}[\pi_{n,t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 0 1.4])
set(s2(1),'LineWidth',1);
set(s2(2),'LineWidth',1);

subplot(5,2,3), s8=plot(peshock,pfc_c,'k-',peshock,pf_c,'k--');... 
title({'Aggregate Consumption (E_{t}[c_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -5 0])
set(s8(1),'LineWidth',1);
set(s8(2),'LineWidth',1);

subplot(5,2,4), s3=plot(peshock,pfc_cn,'k-',peshock,pf_cn,'k--');... 
title({'Non-Energy Consumption (E_{t}[c_{n,t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -1.5 0])
set(s3(1),'LineWidth',1);
set(s3(2),'LineWidth',1);

subplot(5,2,2), s4=plot(peshock,pfc_i,'k-',peshock,pf_i,'k--');... 
title({'Investment (E_{t}[i_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -15 0])
set(s4(1),'LineWidth',1);
set(s4(2),'LineWidth',1);

subplot(5,2,9), s5=plot(peshock,pfc_Pw,'k-',peshock,pf_Pw,'k--');... 
title({'Nominal Wage (E_{t}[P_{t+1}w_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Change'),axis([0 100 0 5])
set(s5(1),'LineWidth',1);
set(s5(2),'LineWidth',1);

subplot(5,2,7), s6=plot(peshock,pfc_n,'k-',peshock,pf_n,'k--');... 
title({'Labor (E_{t}[n_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -0.4 1]),legend(s6(1:2),'Downward Rigid Nominal Wages','Flexible Nominal Wages','Orientation','vertical')
set(s6(1),'LineWidth',1);
set(s6(2),'LineWidth',1);

subplot(5,2,10), s7=plot(peshock,pfc_dPw,'k-',peshock,pf_dPw,'k--');... 
title({'Nominal Wage Growth (E_{t}[P_{t+1}w_{t+1}]-P_{t}w_{t})'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('%'),axis([0 100 -4 0.5])
set(s7(1),'LineWidth',1);
set(s7(2),'LineWidth',1);

subplot(5,2,6), s9=plot(peshock,pfc_PII,'k-',peshock,pf_PII,'k--');... 
title({'Headline Inflation Rate (E_{t}[\pi_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 0 0.8])
set(s9(1),'LineWidth',1);
set(s9(2),'LineWidth',1);

subplot(5,2,8), s10=plot(peshock,pfc_w,'k-',peshock,pf_w,'k--');... 
title({'Real Wage (E_{t}[w_{t+1}])'}),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('% Deviation'),axis([0 100 -10 0])
set(s10(1),'LineWidth',1);
set(s10(2),'LineWidth',1);

%gtext({'Figure X: Policy Functions: 0% to 100% Energy Price Increase'},'HorizontalAlignment','center','FontSize',12) 

figure('PaperOrientation','landscape','PaperUnits','inches','PaperPosition',[0 0.15 11 8.2],'units','normalized','outerposition',[0 0 1 1])

subplot(2,2,1), s1=plot(peshock,pfc_y,'b-',peshock,pf_y,'r--');... 
title('Output (E_{t}[y_{t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady State'),axis([0 100 -3 0])
set(s1(1),'LineWidth',2);
set(s1(2),'LineWidth',2);

subplot(2,2,2), s4=plot(peshock,pfc_i,'b-',peshock,pf_i,'r--');... 
title('Investment (E_{t}[i_{t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady State'),axis([0 100 -12 0]),legend(s4(1:2),'Downward Rigid Nominal Wages','Flexible Nominal Wages','Orientation','Vertical','location','southwest')
set(s4(1),'LineWidth',2);
set(s4(2),'LineWidth',2);

subplot(2,2,3), s8=plot(peshock,pfc_c,'b-',peshock,pf_c,'r--');... 
title('Aggregate Consumption (E_{t}[c_{t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady State'),axis([0 100 -3.5 0])
set(s8(1),'LineWidth',2);
set(s8(2),'LineWidth',2);

subplot(2,2,4), s3=plot(peshock,pfc_cn,'b-',peshock,pf_cn,'r--');... 
title('Non-Energy Consumption (E_{t}[c_{n,t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady State'),axis([0 100 -1 0])
set(s3(1),'LineWidth',2);
set(s3(2),'LineWidth',2);

figure('PaperOrientation','landscape','PaperUnits','inches','PaperPosition',[0 0.15 11 8.2],'units','normalized','outerposition',[0 0 1 1])
subplot(2,2,1), s2=plot(peshock,pfc_PIIc,'b-',peshock,pf_PIIc,'r--');... 
title('Core Inflation Rate (E_{t}[\pi_{n,t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady Statee'),axis([0 100 0 1])
set(s2(1),'LineWidth',2);
set(s2(2),'LineWidth',2);

subplot(2,2,2), s6=plot(peshock,pfc_n,'b-',peshock,pf_n,'r--');... 
title('Labor (E_{t}[n_{t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent Deviation From Steady State'),axis([0 100 -0.4 1])
set(s6(1),'LineWidth',2);
set(s6(2),'LineWidth',2);

subplot(2,2,3), s5=plot(peshock,pfc_Pw,'b-',peshock,pf_Pw,'r--');... 
title('Nominal Wage (E_{t}[P_{t+1}w_{t+1}])','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent'),axis([0 100 0 5])
set(s5(1),'LineWidth',2);
set(s5(2),'LineWidth',2);

subplot(2,2,4), s7=plot(peshock,pfc_dPw,'b-',peshock,pf_dPw,'r--');... 
title('Nominal Wage Growth (E_{t}[P_{t+1}w_{t+1}]-P_{t}w_{t})','Fontsize',16),xlabel(['Energy Price Shock (', char(949),'_{t})']),ylabel('Percent'),axis([0 100 -4 0.5]),legend(s7(1:2),'Downward Rigid Nominal Wages','Flexible Nominal Wages','Orientation','Vertical','location','southwest')
set(s7(1),'LineWidth',2);
set(s7(2),'LineWidth',2);

% xlabel(['Is ', char(949), ' what you want?'])
